diff --git a/books/bookvol10.2.pamphlet b/books/bookvol10.2.pamphlet
index 3e48804..7727b56 100644
--- a/books/bookvol10.2.pamphlet
+++ b/books/bookvol10.2.pamphlet
@@ -350,6 +350,8 @@ digraph pic {
 ArcHyperbolicFunctionCategory examples
 ====================================================================
 
+This is the Category for the inverse hyperbolic trigonometric functions
+
 See Also:
 o )show ArcHyperbolicFunctionCategory
 
@@ -383,9 +385,6 @@ These are directly exported but not implemented:
 
 \begin{chunk}{category AHYP ArcHyperbolicFunctionCategory}
 )abbrev category AHYP ArcHyperbolicFunctionCategory
-++ Category for the inverse hyperbolic trigonometric functions
-++ Author: ???
-++ Date Created: ???
 ++ Date Last Updated: 14 May 1991
 ++ Description:
 ++ Category for the inverse hyperbolic trigonometric functions;
@@ -461,6 +460,8 @@ intermediate test to check that the argument has a reciprocal values.
 ArcTrigonometricFunctionCategory examples
 ====================================================================
 
+This is the Category for the inverse trigonometric functions
+
 See Also:
 o )show ArcTrigonometricFunctionCategory
 
@@ -497,9 +498,6 @@ These are implemented by this category:
 
 \begin{chunk}{category ATRIG ArcTrigonometricFunctionCategory}
 )abbrev category ATRIG ArcTrigonometricFunctionCategory
-++ Category for the inverse trigonometric functions
-++ Author: ???
-++ Date Created: ???
 ++ Date Last Updated: 14 May 1991
 ++ Description:
 ++ Category for the inverse trigonometric functions;
@@ -549,6 +547,17 @@ digraph pic {
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \pagehead{AttributeRegistry}{ATTREG}
 \pagepic{ps/v102attributeregistry.ps}{ATTREG}{1.00}
+\begin{chunk}{AttributeRegistry.help}
+====================================================================
+AttributeRegistry examples
+====================================================================
+
+This category exports the attributes in the AXIOM Library.
+
+See Also:
+o )show BasicType
+
+\end{chunk}
 
 {\bf See:}
 
@@ -748,6 +757,9 @@ digraph pic {
 BasicType examples
 ====================================================================
 
+BasicType is the basic category for describing a collection
+of elements with = (equality).
+
 See Also:
 o )show BasicType
 
@@ -778,18 +790,9 @@ These are implemented by this category:
 \begin{chunk}{category BASTYPE BasicType}
 )abbrev category BASTYPE BasicType
 --% BasicType
-++ Author:
-++ Date Created:
-++ Date Last Updated:
-++ Basic Functions:
-++ Related Constructors:
-++ Also See:
-++ AMS Classifications:
-++ Keywords:
-++ References:
 ++ Description:
-++ \spadtype{BasicType} is the basic category for describing a collection
-++ of elements with \spadop{=} (equality).
+++ BasicType is the basic category for describing a collection
+++ of elements with = (equality).
 
 BasicType(): Category == with
       "=": (%,%) -> Boolean    ++ x=y tests if x and y are equal.
@@ -856,6 +859,9 @@ digraph pic {
 CoercibleTo examples
 ====================================================================
 
+A is coercible to B means any element of A can automatically be
+converted into an element of B by the interpreter.
+
 See Also:
 o )show CoercibleTo
 
@@ -882,9 +888,7 @@ This is directly exported but not implemented:
 
 \begin{chunk}{category KOERCE CoercibleTo}
 )abbrev category KOERCE CoercibleTo
-++ Category for coerce
 ++ Author: Manuel Bronstein
-++ Date Created: ???
 ++ Date Last Updated: 14 May 1991
 ++ Description:
 ++ A is coercible to B means any element of A can automatically be
@@ -963,6 +967,8 @@ digraph pic {
 CombinatorialFunctionCategory examples
 ====================================================================
 
+This is the Category for the usual combinatorial functions
+
 See Also:
 o )show CombinatorialFunctionCategory
 
@@ -990,9 +996,7 @@ These are directly exported but not implemented:
 
 \begin{chunk}{category CFCAT CombinatorialFunctionCategory}
 )abbrev category CFCAT CombinatorialFunctionCategory
-++ Category for the usual combinatorial functions
 ++ Author: Manuel Bronstein
-++ Date Created: ???
 ++ Date Last Updated: 14 May 1991
 ++ Description: 
 ++ Category for the usual combinatorial functions;
@@ -1072,6 +1076,9 @@ digraph pic {
 ConvertibleTo examples
 ====================================================================
 
+A is convertible to B means any element of A can be converted into 
+an element of B, but not automatically by the interpreter.
+
 See Also:
 o )show ConvertibleTo
 
@@ -1098,9 +1105,7 @@ This is directly exported but not implemented:
 
 \begin{chunk}{category KONVERT ConvertibleTo}
 )abbrev category KONVERT ConvertibleTo
-++ Category for convert
 ++ Author: Manuel Bronstein
-++ Date Created: ???
 ++ Date Last Updated: 14 May 1991
 ++ Description:
 ++ A is convertible to B means any element of A
@@ -1231,6 +1236,8 @@ digraph pic {
 ElementaryFunctionCategory examples
 ====================================================================
 
+This is the Category for the elementary functions.
+
 See Also:
 o )show ElementaryFunctionCategory
 
@@ -1263,7 +1270,6 @@ These are implemented by this category:
 )abbrev category ELEMFUN ElementaryFunctionCategory
 ++ Category for the elementary functions
 ++ Author: Manuel Bronstein
-++ Date Created: ???
 ++ Date Last Updated: 14 May 1991
 ++ Description: 
 ++ Category for the elementary functions;
@@ -1334,6 +1340,11 @@ digraph pic {
 Eltable examples
 ====================================================================
 
+An eltable over domains D and I is a structure which can be viewed
+as a function from D to I. Examples of eltable structures range from 
+data structures, e.g. those of type List, to algebraic structures like 
+Polynomial.
+
 See Also:
 o )show Eltable
 
@@ -1361,18 +1372,11 @@ This is directly exported but not implemented:
 ++ Author: Michael Monagan; revised by Manuel Bronstein and Manuel Bronstein
 ++ Date Created: August 87 through August 88
 ++ Date Last Updated: April 1991
-++ Basic Operations:
-++ Related Constructors:
-++ Also See:
-++ AMS Classifications:
-++ Keywords:
-++ References:
 ++ Description:
 ++ An eltable over domains D and I is a structure which can be viewed
 ++ as a function from D to I.
 ++ Examples of eltable structures range from data structures, e.g. those
-++ of type \spadtype{List}, to algebraic structures like 
-++ \spadtype{Polynomial}.
+++ of type List, to algebraic structures like Polynomial.
 
 Eltable(S:SetCategory, Index:Type): Category == with
   elt : (%, S) -> Index
@@ -1456,6 +1460,8 @@ intermediate test to check that the argument has a reciprocal values.
 HyperbolicFunctionCategory examples
 ====================================================================
 
+This is the Category for the hyperbolic trigonometric functions.
+
 See Also:
 o )show HyperbolicFunctionCategory
 
@@ -1488,11 +1494,7 @@ These are implemented by this category:
 
 \begin{chunk}{category HYPCAT HyperbolicFunctionCategory}
 )abbrev category HYPCAT HyperbolicFunctionCategory
-++ Category for the hyperbolic trigonometric functions
-++ Author: ???
-++ Date Created: ???
 ++ Date Last Updated: 14 May 1991
-++ Description: 
 ++ Category for the hyperbolic trigonometric functions;
 
 HyperbolicFunctionCategory(): Category == with
@@ -1579,6 +1581,12 @@ digraph pic {
 InnerEvalable examples
 ====================================================================
 
+This category provides eval operations. A domain may belong to this 
+category if it is possible to make "evaluation" substitutions.  The 
+difference between this and Evalable is that the operations in this 
+category specify the substitution as a pair of arguments rather than 
+as an equation.
+
 See Also:
 o )show InnerEvalable
 
@@ -1611,16 +1619,7 @@ These are implemented by this category:
 \begin{chunk}{category IEVALAB InnerEvalable}
 )abbrev category IEVALAB InnerEvalable
 -- FOR THE BENEFIT OF LIBAX0 GENERATION
-++ Author:
-++ Date Created:
 ++ Date Last Updated: June 3, 1991
-++ Basic Operations:
-++ Related Domains:
-++ Also See: Evalable
-++ AMS Classifications:
-++ Keywords: equation
-++ Examples:
-++ References:
 ++ Description:
 ++ This category provides \spadfun{eval} operations.
 ++ A domain may belong to this category if it is possible to make
@@ -1870,6 +1869,8 @@ digraph pic {
 OpenMath examples
 ====================================================================
 
+OpenMath provides operations for exporting an object in OpenMath format.
+
 See Also:
 o )show OpenMath
 
@@ -1897,11 +1898,6 @@ These are directly exported but not implemented:
 )abbrev category OM OpenMath
 ++ Author: Mike Dewar & Vilya Harvey
 ++ Basic Functions: OMwrite
-++ Related Constructors: 
-++ Also See:
-++ AMS Classifications:
-++ Keywords:
-++ References:
 ++ Description:
 ++ \spadtype{OpenMath} provides operations for exporting an object
 ++ in OpenMath format.
@@ -1997,6 +1993,9 @@ digraph pic {
 PartialTranscendentalFunctions examples
 ====================================================================
 
+This is the description of any package which provides partial
+functions on a domain belonging to TranscendentalFunctionCategory.
+
 See Also:
 o )show PartialTranscendentalFunctions
 
@@ -2070,15 +2069,12 @@ These are directly exported but not implemented:
 
 \begin{chunk}{category PTRANFN PartialTranscendentalFunctions}
 )abbrev category PTRANFN PartialTranscendentalFunctions
-++ Description of a package which provides partial transcendental
-++ functions, i.e. functions which return an answer or "failed"
 ++ Author: Clifton J. Williamson
 ++ Date Created: 12 February 1990
 ++ Date Last Updated: 14 February 1990
-++ Keywords:
-++ Examples:
-++ References:
 ++ Description:
+++ A package which provides partial transcendental
+++ functions, i.e. functions which return an answer or "failed"
 ++ This is the description of any package which provides partial
 ++ functions on a domain belonging to TranscendentalFunctionCategory.
  
@@ -2222,6 +2218,10 @@ digraph pic {
 Patternable examples
 ====================================================================
 
+Category of sets that can be converted to useful patterns. An object 
+S is Patternable over an object R if S can lift the conversions from 
+R into Pattern(Integer) and Pattern(Float) to itself.
+
 See Also:
 o )show Patternable
 
@@ -2252,12 +2252,11 @@ These exports come from \refto{ConvertibleTo}(Pattern(Float)):
 
 \begin{chunk}{category PATAB Patternable}
 )abbrev category PATAB Patternable
-++ Category of sets that can be converted to useful patterns
 ++ Author: Manuel Bronstein
 ++ Date Created: 29 Nov 1989
 ++ Date Last Updated: 29 Nov 1989
-++ Keywords: pattern, matching.
 ++ Description:
+++ Category of sets that can be converted to useful patterns
 ++ An object S is Patternable over an object R if S can
 ++ lift the conversions from R into \spadtype{Pattern(Integer)} and
 ++ \spadtype{Pattern(Float)} to itself;
@@ -2340,6 +2339,8 @@ digraph pic {
 PrimitiveFunctionCategory examples
 ====================================================================
 
+This is the  Category for the functions defined by integrals.
+
 See Also:
 o )show PrimitiveFunctionCategory
 
@@ -2363,9 +2364,7 @@ These are directly exported but not implemented:
 
 \begin{chunk}{category PRIMCAT PrimitiveFunctionCategory}
 )abbrev category PRIMCAT PrimitiveFunctionCategory
-++ Category for the integral functions
 ++ Author: Manuel Bronstein
-++ Date Created: ???
 ++ Date Last Updated: 14 May 1991
 ++ Description:
 ++ Category for the functions defined by integrals;
@@ -2437,6 +2436,8 @@ digraph pic {
 RadicalCategory examples
 ====================================================================
 
+The RadicalCategory is a model for the rational numbers.
+
 See Also:
 o )show RadicalCategory
 
@@ -2473,14 +2474,7 @@ These are implemented by this category:
 
 \begin{chunk}{category RADCAT RadicalCategory}
 )abbrev category RADCAT RadicalCategory
-++ Author:
-++ Date Created:
-++ Change History:
-++ Basic Operations: nthRoot, sqrt, **
-++ Related Constructors:
-++ Keywords: rational numbers
 ++ Description:
-++ The \spad{RadicalCategory} is a model for the rational numbers.
 
 RadicalCategory(): Category == with
   sqrt   : % -> %
@@ -2553,6 +2547,10 @@ digraph pic {
 RetractableTo examples
 ====================================================================
 
+A is retractable to B means that some elementsif A can be converted
+into elements of B and any element of B can be converted into an
+element of A.
+
 See Also:
 o )show RetractableTo
 
@@ -2601,12 +2599,9 @@ These are implemented by this category:
 
 \begin{chunk}{category RETRACT RetractableTo}
 )abbrev category RETRACT RetractableTo
-++ Category for retract
-++ Author: ???
-++ Date Created: ???
 ++ Date Last Updated: 14 May 1991
 ++ Description:
-++ A is retractable to B means that some elementsif A can be converted
+++ A is retractable to B means that some elements if A can be converted
 ++ into elements of B and any element of B can be converted into an
 ++ element of A.
 
@@ -2740,6 +2735,8 @@ digraph pic {
 SpecialFunctionCategory examples
 ====================================================================
 
+This is the  Category for the other special functions.
+
 See Also:
 o )show SpecialFunctionCategory
 
@@ -2782,9 +2779,7 @@ These are directly exported but not implemented:
 
 \begin{chunk}{category SPFCAT SpecialFunctionCategory}
 )abbrev category SPFCAT SpecialFunctionCategory
-++ Category for the other special functions
 ++ Author: Manuel Bronstein
-++ Date Created: ???
 ++ Date Last Updated: 11 May 1993
 ++ Description:
 ++ Category for the other special functions;
@@ -2880,6 +2875,8 @@ intermediate test to check that the argument has a reciprocal values.
 TrigonometricFunctionCategory examples
 ====================================================================
 
+This is the Category for the trigonometric functions.
+
 See Also:
 o )show TrigonometricFunctionCategory
 
@@ -2916,9 +2913,6 @@ These are implemented by this category:
 
 \begin{chunk}{category TRIGCAT TrigonometricFunctionCategory}
 )abbrev category TRIGCAT TrigonometricFunctionCategory
-++ Category for the trigonometric functions
-++ Author: ???
-++ Date Created: ???
 ++ Date Last Updated: 14 May 1991
 ++ Description:
 ++ Category for the trigonometric functions;
@@ -2971,6 +2965,17 @@ digraph pic {
 \pagehead{Type}{TYPE}
 \pagepic{ps/v102type.ps}{TYPE}{1.00}
 
+\begin{chunk}{Type.help}
+====================================================================
+Type examples
+====================================================================
+
+The fundamental Type.
+
+See Also:
+o )show Type
+
+\end{chunk}
 {\bf See:}
 
 \pageto{Aggregate}{AGG}
@@ -2986,7 +2991,6 @@ digraph pic {
 
 \begin{chunk}{category TYPE Type}
 )abbrev category TYPE Type
-++ The new fundamental Type (keeping Object for 1.5 as well)
 ++ Author: Richard Jenks
 ++ Date Created: 14 May 1992
 ++ Date Last Updated: 14 May 1992
@@ -3058,6 +3062,16 @@ digraph pic {
 Aggregate examples
 ====================================================================
 
+The notion of aggregate serves to model any data structure aggregate,
+designating any collection of objects, with heterogenous or homogeneous
+members, with a finite or infinite number of members, explicitly or
+implicitly represented. An aggregate can in principle represent 
+everything from a string of characters to abstract sets such
+as "the set of x satisfying relation r(x)"
+
+An attribute "finiteAggregate" is used to assert that a domain
+has a finite number of elements.
+
 See Also:
 o )show Aggregate
 
@@ -3104,12 +3118,6 @@ These are implemented by this category:
 ++ Author: Michael Monagan; revised by Manuel Bronstein and Richard Jenks
 ++ Date Created: August 87 through August 88
 ++ Date Last Updated: April 1991
-++ Basic Operations:
-++ Related Constructors:
-++ Also See:
-++ AMS Classifications:
-++ Keywords:
-++ References:
 ++ Description:
 ++ The notion of aggregate serves to model any data structure aggregate,
 ++ designating any collection of objects, with heterogenous or homogeneous
@@ -3117,7 +3125,7 @@ These are implemented by this category:
 ++ implicitly represented. An aggregate can in principle represent 
 ++ everything from a string of characters to abstract sets such
 ++ as "the set of x satisfying relation r(x)"
-++ An attribute \spadatt{finiteAggregate} is used to assert that a domain
+++ An attribute "finiteAggregate" is used to assert that a domain
 ++ has a finite number of elements.
 
 Aggregate: Category == Type with
@@ -3218,6 +3226,9 @@ digraph pic {
 CombinatorialOpsCategory examples
 ====================================================================
 
+CombinatorialOpsCategory is the category obtaining by adjoining
+summations and products to the usual combinatorial operations;
+
 See Also:
 o )show CombinatorialOpsCategory
 
@@ -3256,9 +3267,7 @@ These exports come from \refto{CombinatorialFunctionCategory}():
 
 \begin{chunk}{category COMBOPC CombinatorialOpsCategory}
 )abbrev category COMBOPC CombinatorialOpsCategory
-++ Category for summations and products
 ++ Author: Manuel Bronstein
-++ Date Created: ???
 ++ Date Last Updated: 22 February 1993 (JHD/BMT)
 ++ Description:
 ++ CombinatorialOpsCategory is the category obtaining by adjoining
@@ -3349,6 +3358,12 @@ digraph pic {
 EltableAggregate examples
 ====================================================================
 
+An eltable aggregate is one which can be viewed as a function.
+For example, the list [1,7,4] can applied to 0,1, and 2 respectively 
+will return the integers 1, 7, and 4; thus this list may be viewed 
+as mapping 0 to 1, 1 to 7 and 2 to 4. In general, an aggregate
+can map members of a domain Dom to an image domain Im.
+
 See Also:
 o )show EltableAggregate
 
@@ -3398,17 +3413,11 @@ These exports come from \refto{Eltable}():
 ++ Author: Michael Monagan; revised by Manuel Bronstein and Richard Jenks
 ++ Date Created: August 87 through August 88
 ++ Date Last Updated: April 1991
-++ Basic Operations:
-++ Related Constructors:
-++ Also See:
-++ AMS Classifications:
-++ Keywords:
-++ References:
 ++ Description:
 ++ An eltable aggregate is one which can be viewed as a function.
-++ For example, the list \axiom{[1,7,4]} can applied to 0,1, and 2 
-++ respectively will return the integers 1,7, and 4; thus this list may 
-++ be viewed as mapping 0 to 1, 1 to 7 and 2 to 4. In general, an aggregate
+++ For example, the list [1,7,4] can applied to 0,1, and 2 respectively 
+++ will return the integers 1, 7, and 4; thus this list may be viewed as 
+++ mapping 0 to 1, 1 to 7 and 2 to 4. In general, an aggregate
 ++ can map members of a domain Dom to an image domain Im.
 
 EltableAggregate(Dom:SetCategory, Im:Type): Category ==
@@ -3507,6 +3516,9 @@ digraph pic {
 Evalable examples
 ====================================================================
 
+This category provides eval operations. A domain may belong to this 
+category if it is possible to make "evaluation" substitutions.
+
 See Also:
 o )show Evalable
 
@@ -3542,16 +3554,7 @@ These exports come from \refto{InnerEvalable}(R:SetCategory,R:SetCategory):
 
 \begin{chunk}{category EVALAB Evalable}
 )abbrev category EVALAB Evalable
-++ Author:
-++ Date Created:
 ++ Date Last Updated: June 3, 1991
-++ Basic Operations:
-++ Related Domains:
-++ Also See: FullyEvalable
-++ AMS Classifications:
-++ Keywords: equation
-++ Examples:
-++ References:
 ++ Description:
 ++ This category provides \spadfun{eval} operations.
 ++ A domain may belong to this category if it is possible to make
@@ -3645,6 +3648,9 @@ digraph pic {
 FortranProgramCategory examples
 ====================================================================
 
+FortranProgramCategory provides various models of FORTRAN subprograms.  
+These can be transformed into actual FORTRAN code.
+
 See Also:
 o )show FortranProgramCategory
 
@@ -3685,16 +3691,9 @@ These exports come from \refto{CoercibleTo}(OutputForm):
 )abbrev category FORTCAT FortranProgramCategory
 ++ Author: Mike Dewar
 ++ Date Created: November 1992
-++ Date Last Updated: 
-++ Basic Operations:
-++ Related Constructors: FortranType, FortranCode, Switch
-++ Also See:
-++ AMS Classifications:
-++ Keywords:
-++ References:
 ++ Description:
-++ \axiomType{FortranProgramCategory} provides various models of
-++ FORTRAN subprograms.  These can be transformed into actual FORTRAN code.
+++ FortranProgramCategory provides various models of FORTRAN subprograms.  
+++ These can be transformed into actual FORTRAN code.
 
 FortranProgramCategory():Category == Join(Type,CoercibleTo OutputForm) with
     outputAsFortran : $ -> Void
@@ -3779,6 +3778,11 @@ digraph pic {
 FullyRetractableTo examples
 ====================================================================
 
+A is fully retractable to B means that A is retractable to B and
+if B is retractable to the integers or rational numbers then so is A.
+In particular, what we are asserting is that there are no integers
+(rationals) in A which don't retract into B.
+
 See Also:
 o )show FullyRetractableTo
 
@@ -3946,6 +3950,10 @@ digraph pic {
 FullyPatternMatchable examples
 ====================================================================
 
+A set S is PatternMatchable over R if S can lift the pattern-matching 
+functions of S over the integers and float to itself (necessary for 
+matching in towers).
+
 See Also:
 o )show FullyPatternMatchable
 
@@ -4008,11 +4016,9 @@ These exports come from \refto{Type}():
 
 \begin{chunk}{category FPATMAB FullyPatternMatchable}
 )abbrev category FPATMAB FullyPatternMatchable
-++ Category of sets that can be pattern-matched on
 ++ Author: Manuel Bronstein
 ++ Date Created: 28 Nov 1989
 ++ Date Last Updated: 29 Nov 1989
-++ Keywords: pattern, matching.
 ++ Description:
 ++ A set S is PatternMatchable over R if S can lift the
 ++ pattern-matching functions of S over the integers and float
@@ -4100,6 +4106,8 @@ digraph pic {
 Logic examples
 ====================================================================
 
+Logic provides the basic operations for lattices, e.g., boolean algebra.
+
 See Also:
 o )show Logic
 
@@ -4138,12 +4146,6 @@ These exports come from \refto{BasicType}():
 
 \begin{chunk}{category LOGIC Logic}
 )abbrev category LOGIC Logic
-++ Author: 
-++ Date Created:
-++ Change History:
-++ Basic Operations: ~, /\, \/
-++ Related Constructors:
-++ Keywords: boolean
 ++ Description:  
 ++ `Logic' provides the basic operations for lattices, e.g., boolean algebra.
 
@@ -4222,6 +4224,12 @@ digraph pic {
 PlottablePlaneCurveCategory examples
 ====================================================================
 
+PlottablePlaneCurveCategory is the category of curves in the plane 
+which may be plotted via the graphics facilities.  Functions are 
+provided for obtaining lists of lists of points, representing the
+branches of the curve, and for determining the ranges of the
+x-coordinates and y-coordinates of the points on the curve.
+
 See Also:
 o )show PlottablePlaneCurveCategory
 
@@ -4256,18 +4264,7 @@ These exports come from \refto{CoercibleTo}(OutputForm):
 ++ Author: Clifton J. Williamson
 ++ Date Created: 11 January 1990
 ++ Date Last Updated: 15 June 1990
-++ Basic Operations: listBranches, xRange, yRange
-++ Related Constructors:
-++ Also See:
-++ AMS Classifications:
-++ Keywords: plot, graphics
-++ References:
 ++ Description: 
-++ PlottablePlaneCurveCategory is the category of curves in the 
-++ plane which may be plotted via the graphics facilities.  Functions are 
-++ provided for obtaining lists of lists of points, representing the
-++ branches of the curve, and for determining the ranges of the
-++ x-coordinates and y-coordinates of the points on the curve.
  
 PlottablePlaneCurveCategory(): Category == Definition where
   L     ==> List
@@ -4356,6 +4353,12 @@ digraph pic {
 PlottableSpaceCurveCategory examples
 ====================================================================
 
+PlottableSpaceCurveCategory is the category of curves in 3-space which 
+may be plotted via the graphics facilities.  Functions are provided for 
+obtaining lists of lists of points, representing the branches of the 
+curve, and for determining the ranges of the x-, y-, and z-coordinates 
+of the points on the curve.
+
 See Also:
 o )show PlottableSpaceCurveCategory
 
@@ -4392,12 +4395,6 @@ These exports come from \refto{CoercibleTo}(OutputForm):
 ++ Author: Clifton J. Williamson
 ++ Date Created: 11 January 1990
 ++ Date Last Updated: 15 June 1990
-++ Basic Operations: listBranches, xRange, yRange, zRange
-++ Related Constructors:
-++ Also See:
-++ AMS Classifications:
-++ Keywords: plot, graphics
-++ References:
 ++ Description: 
 ++ PlottableSpaceCurveCategory is the category of curves in 
 ++ 3-space which may be plotted via the graphics facilities.  Functions are 
@@ -4490,6 +4487,8 @@ digraph pic {
 RealConstant examples
 ====================================================================
 
+The category of real numeric domains, i.e. convertible to floats.
+
 See Also:
 o )show RealConstant
 
@@ -4519,15 +4518,6 @@ These exports come from \refto{ConvertibleTo}(Float):
 
 \begin{chunk}{category REAL RealConstant}
 )abbrev category REAL RealConstant
-++ Author:
-++ Date Created:
-++ Date Last Updated:
-++ Basic Functions:
-++ Related Constructors:
-++ Also See:
-++ AMS Classifications:
-++ Keywords:
-++ References:
 ++ Description:
 ++ The category of real numeric domains, i.e. convertible to floats.
 
@@ -4608,6 +4598,8 @@ digraph pic {
 SegmentCategory examples
 ====================================================================
 
+This category provides operations on ranges, or segments as they are called.
+
 See Also:
 o )show SegmentCategory
 
@@ -4654,13 +4646,6 @@ These are directly exported but not implemented:
 ++ Author:  Stephen M. Watt
 ++ Date Created:  December 1986
 ++ Date Last Updated: June 3, 1991
-++ Basic Operations:
-++ Related Domains:
-++ Also See:
-++ AMS Classifications:
-++ Keywords: range, segment
-++ Examples:
-++ References:
 ++ Description:
 ++ This category provides operations on ranges, or segments
 ++ as they are called.
@@ -4760,6 +4745,11 @@ digraph pic {
 SetCategory examples
 ====================================================================
 
+SetCategory is the basic category for describing a collection
+of elements with = (equality) and coerce to output form.
+
+Conditional Attributes canonical data structure equality is the same as =
+
 See Also:
 o )show SetCategory
 
@@ -4820,15 +4810,7 @@ These exports come from \refto{CoercibleTo}(OutputForm):
 
 \begin{chunk}{category SETCAT SetCategory}
 )abbrev category SETCAT SetCategory
-++ Author:
-++ Date Created:
 ++ Date Last Updated: November 10, 2009 tpd happy birthday
-++ Basic Functions:
-++ Related Constructors:
-++ Also See:
-++ AMS Classifications:
-++ Keywords:
-++ References:
 ++ Description:
 ++ \spadtype{SetCategory} is the basic category for describing a collection
 ++ of elements with \spadop{=} (equality) and \spadfun{coerce} to 
@@ -4931,6 +4913,8 @@ digraph pic {
 TranscendentalFunctionCategory examples
 ====================================================================
 
+This is the Category for the transcendental elementary functions.
+
 See Also:
 o )show TranscendentalFunctionCategory
 
@@ -5039,9 +5023,7 @@ These exports come from \refto{ElementaryFunctionCategory}():
 
 \begin{chunk}{category TRANFUN TranscendentalFunctionCategory}
 )abbrev category TRANFUN TranscendentalFunctionCategory
-++ Category for the transcendental elementary functions
 ++ Author: Manuel Bronstein
-++ Date Created: ???
 ++ Date Last Updated: 14 May 1991
 ++ Description:
 ++ Category for the transcendental elementary functions;
@@ -5170,6 +5152,13 @@ digraph pic {
 AbelianSemiGroup examples
 ====================================================================
 
+This is the class of all additive (commutative) semigroups, i.e.
+a set with a commutative and associative operation +.
+
+Axioms:
+  associative("+":(%,%)->%)   (x+y)+z = x+(y+z) 
+  commutative("+":(%,%)->%)   x+y = y+x 
+
 See Also:
 o )show AbelianSemiGroup
 
@@ -5213,15 +5202,6 @@ These exports come from \refto{SetCategory}():
 
 \begin{chunk}{category ABELSG AbelianSemiGroup}
 )abbrev category ABELSG AbelianSemiGroup
-++ Author:
-++ Date Created:
-++ Date Last Updated:
-++ Basic Functions:
-++ Related Constructors:
-++ Also See:
-++ AMS Classifications:
-++ Keywords:
-++ References:
 ++ Description:
 ++ The class of all additive (commutative) semigroups, i.e.
 ++ a set with a commutative and associative operation \spadop{+}.
@@ -5510,6 +5490,8 @@ digraph pic {
 DesingTreeCategory examples
 ====================================================================
 
+This category is part of the PAFF package.
+
 See Also:
 o )show DesingTreeCategory
 
@@ -5728,6 +5710,9 @@ digraph pic {
 FortranFunctionCategory examples
 ====================================================================
 
+FortranFunctionCategory is the category of arguments to NAG Library 
+routines which return (sets of) function values.
+
 See Also:
 o )show FortranFunctionCategory
 
@@ -5780,7 +5765,6 @@ These exports come from \refto{FortranProgramCategory}():
 ++ Author: Mike Dewar
 ++ Date Created: 13 January 1994
 ++ Date Last Updated: 18 March 1994
-++ Related Constructors: FortranProgramCategory.
 ++ Description:
 ++ \axiomType{FortranFunctionCategory} is the category of arguments to
 ++ NAG Library routines which return (sets of) function values.
@@ -5911,6 +5895,10 @@ digraph pic {
 FortranMatrixCategory examples
 ====================================================================
 
+FortranMatrixCategory provides support for producing Functions and 
+Subroutines when the input to these is an AXIOM object of type Matrix
+or in domains involving FortranCode.
+
 See Also:
 o )show FortranMatrixCategory
 
@@ -5949,8 +5937,6 @@ These exports come from \refto{FortranProgramCategory}():
 )abbrev category FMC FortranMatrixCategory
 ++ Author: Mike Dewar
 ++ Date Created: 21 March 1994
-++ Date Last Updated: 
-++ Related Constructors: FortranProgramCategory.
 ++ Description:
 ++ \axiomType{FortranMatrixCategory} provides support for
 ++ producing Functions and Subroutines when the input to these
@@ -6057,6 +6043,9 @@ digraph pic {
 FortranMatrixFunctionCategory examples
 ====================================================================
 
+FortranMatrixFunctionCategory provides support for producing Functions 
+and Subroutines representing matrices of expressions.
+
 See Also:
 o )show FortranMatrixFunctionCategory
 
@@ -6108,8 +6097,6 @@ These exports come from \refto{FortranProgramCategory}():
 )abbrev category FMFUN FortranMatrixFunctionCategory
 ++ Author: Mike Dewar
 ++ Date Created: March 18 1994
-++ Date Last Updated: 
-++ Related Constructors: FortranProgramCategory.
 ++ Description:
 ++ \axiomType{FortranMatrixFunctionCategory} provides support for
 ++ producing Functions and Subroutines representing matrices of
@@ -6241,6 +6228,10 @@ digraph pic {
 FortranVectorCategory examples
 ====================================================================
 
+FortranVectorCategory provides support for producing Functions and 
+Subroutines when the input to these is an AXIOM object of type 
+Vector or in domains involving FortranCode.
+
 See Also:
 o )show FortranVectorCategory
 
@@ -6278,7 +6269,6 @@ These exports come from \refto{FortranProgramCategory}():
 ++ Author: Mike Dewar
 ++ Date Created: October 1993
 ++ Date Last Updated: 18 March 1994
-++ Related Constructors: FortranProgramCategory.
 ++ Description:
 ++ \axiomType{FortranVectorCategory} provides support for
 ++ producing Functions and Subroutines when the input to these
@@ -6385,6 +6375,9 @@ digraph pic {
 FortranVectorFunctionCategory examples
 ====================================================================
 
+FortranVectorFunctionCategory is the catagory of arguments
+to NAG Library routines which return the values of vectors of functions.
+
 See Also:
 o )show FortranVectorFunctionCategory
 
@@ -6437,7 +6430,6 @@ These exports come from \refto{FortranProgramCategory}():
 ++ Author: Mike Dewar
 ++ Date Created: 11 March 1994
 ++ Date Last Updated: 18 March 1994
-++ Related Constructors: FortranProgramCategory.
 ++ Description:
 ++ \axiomType{FortranVectorFunctionCategory} is the catagory of arguments
 ++ to NAG Library routines which return the values of vectors of functions.
@@ -6572,6 +6564,9 @@ digraph pic {
 FullyEvalableOver examples
 ====================================================================
 
+This category provides a selection of evaluation operations depending 
+on what the argument type R provides.
+
 See Also:
 o )show FullyEvalableOver
 
@@ -6618,16 +6613,7 @@ These exports come from \refto{InnerEvalable}(a:Symbol,b:SetCategory):
 
 \begin{chunk}{category FEVALAB FullyEvalableOver}
 )abbrev category FEVALAB FullyEvalableOver
-++ Author:
-++ Date Created:
 ++ Date Last Updated: June 3, 1991
-++ Basic Operations:
-++ Related Domains: Equation
-++ Also See:
-++ AMS Classifications:
-++ Keywords: equation
-++ Examples:
-++ References:
 ++ Description:
 ++ This category provides a selection of evaluation operations
 ++ depending on what the argument type R provides.
@@ -6748,6 +6734,11 @@ digraph pic {
 FileCategory examples
 ====================================================================
 
+This category provides an interface to operate on files in the
+computer's file system.  The precise method of naming files
+is determined by the Name parameter.  The type of the contents
+of the file is determined by S.
+
 See Also:
 o )show FileCategory
 
@@ -6797,15 +6788,7 @@ These exports come from SetCategory():
 \begin{chunk}{category FILECAT FileCategory}
 )abbrev category FILECAT FileCategory
 ++ Author: Stephen M. Watt, Victor Miller
-++ Date Created: 
 ++ Date Last Updated: June 4, 1991
-++ Basic Operations: 
-++ Related Domains: File 
-++ Also See:
-++ AMS Classifications:
-++ Keywords: 
-++ Examples:
-++ References:
 ++ Description:
 ++ This category provides an interface to operate on files in the
 ++ computer's file system.  The precise method of naming files
@@ -6929,6 +6912,14 @@ digraph pic {
 Finite examples
 ====================================================================
 
+The category of domains composed of a finite set of elements. We include 
+the functions lookup and index to give a bijection between the finite set 
+and an initial segment of positive integers.
+
+Axioms:
+         lookup(index(n)) = n
+         index(lookup(s)) = s
+
 See Also:
 o )show Finite
 
@@ -6973,15 +6964,6 @@ These exports come from \refto{SetCategory}():
 
 \begin{chunk}{category FINITE Finite}
 )abbrev category FINITE Finite
-++ Author:
-++ Date Created:
-++ Date Last Updated:
-++ Basic Functions:
-++ Related Constructors:
-++ Also See:
-++ AMS Classifications:
-++ Keywords:
-++ References:
 ++ Description:
 ++ The category of domains composed of a finite set of elements.
 ++ We include the functions \spadfun{lookup} and \spadfun{index} 
@@ -7086,6 +7068,8 @@ digraph pic {
 FileNameCategory examples
 ====================================================================
 
+This category provides an interface to names in the file system.
+
 See Also:
 o )show FileNameCategory
 
@@ -7140,13 +7124,6 @@ These exports come from \refto{SetCategory}():
 ++ Author: Stephen M. Watt
 ++ Date Created: 1985
 ++ Date Last Updated: June 20, 1991
-++ Basic Operations: 
-++ Related Domains: 
-++ Also See:
-++ AMS Classifications:
-++ Keywords: 
-++ Examples:
-++ References:
 ++ Description:
 ++ This category provides an interface to names in the file system.
 
@@ -7262,6 +7239,15 @@ digraph pic {
 GradedModule examples
 ====================================================================
 
+GradedModule(R,E) denotes "E-graded R-module", i.e. collection of
+R-modules indexed by an abelian monoid E. An element g of G[s] for 
+some specific s in E is said to be an element of G with degree s.
+Sums are defined in each module G[s] so two elements of G have a 
+sum if they have the same degree.
+
+Morphisms can be defined and composed by degree to give the mathematical 
+category of graded modules.
+
 See Also:
 o )show GradedModule
 
@@ -7316,12 +7302,6 @@ These exports come from \refto{SetCategory}():
 ++ Author: Stephen M. Watt
 ++ Date Created: May 20, 1991
 ++ Date Last Updated: May 20, 1991
-++ Basic Operations: +, *, degree
-++ Related Domains: CartesianTensor(n,dim,R)
-++ Also See:
-++ AMS Classifications:
-++ Keywords: graded module, tensor, multi-linear algebra
-++ Examples:
 ++ References: Algebra 2d Edition, MacLane and Birkhoff, MacMillan 1979
 ++ Description:
 ++ GradedModule(R,E) denotes ``E-graded R-module'', i.e. collection of
@@ -7456,6 +7436,14 @@ digraph pic {
 HomogeneousAggregate examples
 ====================================================================
 
+A homogeneous aggregate is an aggregate of elements all of the same type.
+
+In the current system, all aggregates are homogeneous. Two attributes 
+characterize classes of aggregates. Aggregates from domains with 
+attribute "finiteAggregate" have a finite number of members. Those 
+with attribute "shallowlyMutable" allow an element to be modified 
+or updated without changing its overall value.
+
 See Also:
 o )show HomogeneousAggregate
 
@@ -7575,12 +7563,6 @@ These exports come from \refto{SetCategory}():
 ++ Author: Michael Monagan; revised by Manuel Bronstein and Richard Jenks
 ++ Date Created: August 87 through August 88
 ++ Date Last Updated: April 1991, May 1995
-++ Basic Operations:
-++ Related Constructors:
-++ Also See:
-++ AMS Classifications:
-++ Keywords:
-++ References:
 ++ Description:
 ++ A homogeneous aggregate is an aggregate of elements all of the
 ++ same type.
@@ -7737,6 +7719,9 @@ digraph pic {
 IndexedDirectProductCategory examples
 ====================================================================
 
+This category represents the direct product of some set with respect 
+to an ordered indexing set.
+
 See Also:
 o )show IndexedDirectProductCategory
 
@@ -7781,14 +7766,6 @@ These exports come from \refto{SetCategory}():
 \begin{chunk}{category IDPC IndexedDirectProductCategory}
 )abbrev category IDPC IndexedDirectProductCategory
 ++ Author: James Davenport
-++ Date Created:
-++ Date Last Updated:
-++ Basic Functions:
-++ Related Constructors:
-++ Also See:
-++ AMS Classifications:
-++ Keywords:
-++ References:
 ++ Description:
 ++ This category represents the direct product of some set with
 ++ respect to an ordered indexing set.
@@ -7909,6 +7886,8 @@ digraph pic {
 LiouvillianFunctionCategory examples
 ====================================================================
 
+This is the Category for the transcendental Liouvillian functions.
+
 See Also:
 o )show LiouvillianFunctionCategory
 
@@ -8014,7 +7993,6 @@ These exports come from \refto{TranscendentalFunctionCategory}():
 )abbrev category LFCAT LiouvillianFunctionCategory
 ++ Category for the transcendental Liouvillian functions
 ++ Author: Manuel Bronstein
-++ Date Created: ???
 ++ Date Last Updated: 14 May 1991
 ++ Description:
 ++ Category for the transcendental Liouvillian functions;
@@ -8142,6 +8120,9 @@ digraph pic {
 Monad examples
 ====================================================================
 
+Monad is the class of all multiplicative monads, i.e. sets
+with a binary operation.
+
 See Also:
 o )show Monad
 
@@ -8191,11 +8172,6 @@ These exports come from \refto{SetCategory}():
 ++ Authors: J. Grabmeier, R. Wisbauer
 ++ Date Created: 01 March 1991
 ++ Date Last Updated: 11 June 1991
-++ Basic Operations: *, **
-++ Related Constructors: SemiGroup, Monoid, MonadWithUnit
-++ Also See:
-++ AMS Classifications:
-++ Keywords: Monad,  binary operation
 ++ Reference:
 ++  N. Jacobson: Structure and Representations of Jordan Algebras
 ++  AMS, Providence, 1968
@@ -8323,6 +8299,9 @@ digraph pic {
 NumericalIntegrationCategory examples
 ====================================================================
 
+NumericalIntegrationCategory is the category for describing the set of 
+Numerical Integration domains with measure and numericalIntegration.
+
 See Also:
 o )show NumericalIntegrationCategory
 
@@ -8520,6 +8499,9 @@ digraph pic {
 NumericalOptimizationCategory examples
 ====================================================================
 
+NumericalOptimizationCategory is the category for describing the set of 
+Numerical Optimization domains with measure and optimize.
+
 See Also:
 o )show NumericalOptimizationCategory
 
@@ -8709,6 +8691,9 @@ digraph pic {
 OrdinaryDifferentialEquationsSolverCategory examples
 ====================================================================
 
+OrdinaryDifferentialEquationsSolverCategory is the category for describing 
+the set of ODE solver domains with measure and ODEsolve.
+
 See Also:
 o )show OrdinaryDifferentialEquationsSolverCategory
 
@@ -8768,7 +8753,6 @@ These exports come from \refto{SetCategory}():
 ++ Author: Brian Dupee
 ++ Date Created: February 1995
 ++ Date Last Updated: June 1995
-++ Basic Operations: 
 ++ Description:
 ++ \axiomType{OrdinaryDifferentialEquationsSolverCategory} is the 
 ++ \axiom{category} for describing the set of ODE solver \axiom{domains} 
@@ -8879,6 +8863,10 @@ digraph pic {
 OrderedSet examples
 ====================================================================
 
+The class of totally ordered sets, that is, sets such that for each 
+pair of elements (a,b) exactly one of the following relations holds 
+a<b or a=b or b<a and the relation is transitive, i.e.  a<b and b<c => a<c.
+
 See Also:
 o )show OrderedSet
 
@@ -8939,15 +8927,6 @@ These exports come from \refto{SetCategory}():
 
 \begin{chunk}{category ORDSET OrderedSet}
 )abbrev category ORDSET OrderedSet
-++ Author:
-++ Date Created:
-++ Date Last Updated:
-++ Basic Functions:
-++ Related Constructors:
-++ Also See:
-++ AMS Classifications:
-++ Keywords:
-++ References:
 ++ Description:
 ++ The class of totally ordered sets, that is, sets such that for each 
 ++ pair of elements \spad{(a,b)}
@@ -9056,6 +9035,9 @@ digraph pic {
 PartialDifferentialEquationsSolverCategory examples
 ====================================================================
 
+PartialDifferentialEquationsSolverCategory is the category for describing 
+the set of PDE solver domains with measure and PDEsolve.
+
 See Also:
 o )show PartialDifferentialEquationsSolverCategory
 
@@ -9121,7 +9103,6 @@ These exports come from \refto{Dictionary}(S:SetCategory):
 ++ Author: Brian Dupee
 ++ Date Created: February 1995
 ++ Date Last Updated: June 1995
-++ Basic Operations: 
 ++ Description:
 ++ \axiomType{PartialDifferentialEquationsSolverCategory} is the 
 ++ \axiom{category} for describing the set of PDE solver \axiom{domains} 
@@ -9254,6 +9235,9 @@ digraph pic {
 PatternMatchable examples
 ====================================================================
 
+A set R is PatternMatchable over S if elements of R can be matched to 
+patterns over S.
+
 See Also:
 o )show PatternMatchable
 
@@ -9296,7 +9280,6 @@ These exports come from \refto{SetCategory}():
 ++ Author: Manuel Bronstein
 ++ Date Created: 28 Nov 1989
 ++ Date Last Updated: 15 Mar 1990
-++ Keywords: pattern, matching.
 ++ Description:
 ++ A set R is PatternMatchable over S if elements of R can
 ++ be matched to patterns over S.
@@ -9402,6 +9385,9 @@ digraph pic {
 RealRootCharacterizationCategory examples
 ====================================================================
 
+RealRootCharacterizationCategory provides common access functions for 
+all real root codings.
+
 See Also:
 o )show RealRootCharacterizationCategory
 
@@ -9462,16 +9448,9 @@ These exports come from \refto{SetCategory}():
 ++ Author: Renaud Rioboo
 ++ Date Created: summer 1992
 ++ Date Last Updated: January 2004
-++ Basic Functions: provides operations with generic real roots of 
-++                  polynomials 
-++ Related Constructors: RealClosure, RightOpenIntervalRootCharacterization
-++ Also See: 
-++ AMS Classifications:
-++ Keywords: Real Algebraic Numbers
-++ References: 
 ++ Description:
-++ \axiomType{RealRootCharacterizationCategory} provides common acces
-++ functions for all real root codings.
+++ \axiomType{RealRootCharacterizationCategory} provides common access
+++ functions for all real roots of polynomials
 
 RealRootCharacterizationCategory(TheField, ThePols ) : Category == PUB where
 
@@ -9626,6 +9605,9 @@ digraph pic {
 SegmentExpansionCategory examples
 ====================================================================
 
+This category provides an interface for expanding segments to a 
+stream of elements.
+
 See Also:
 o )show SegmentExpansionCategory
 
@@ -9680,14 +9662,6 @@ These exports come from \refto{SegmentCategory}(OrderedRing):
 )abbrev category SEGXCAT SegmentExpansionCategory
 ++ Author:  Stephen M. Watt
 ++ Date Created: June 5, 1991
-++ Date Last Updated:
-++ Basic Operations:
-++ Related Domains: Segment, UniversalSegment
-++ Also See:
-++ AMS Classifications:
-++ Keywords:
-++ Examples:
-++ References:
 ++ Description:
 ++ This category provides an interface for expanding segments to
 ++ a stream of elements.
@@ -9789,6 +9763,15 @@ operator ``*''. A Semigroup $G(S,*)$ is:
 SemiGroup examples
 ====================================================================
 
+The class of all multiplicative semigroups, i.e. a set with an 
+associative operation *.
+
+Axioms:
+        associative("*":(%,%)->%)    (x*y)*z = x*(y*z)
+
+Conditional attributes:
+        commutative("*":(%,%)->%)    x*y = y*x 
+
 See Also:
 o )show SemiGroup
 
@@ -9836,15 +9819,6 @@ These exports come from \refto{SetCategory}():
 
 \begin{chunk}{category SGROUP SemiGroup}
 )abbrev category SGROUP SemiGroup
-++ Author:
-++ Date Created:
-++ Date Last Updated:
-++ Basic Functions:
-++ Related Constructors:
-++ Also See:
-++ AMS Classifications:
-++ Keywords:
-++ References:
 ++ Description:
 ++ the class of all multiplicative semigroups, i.e. a set
 ++ with an associative operation \spadop{*}.
@@ -9950,6 +9924,8 @@ digraph pic {
 SetCategoryWithDegree examples
 ====================================================================
 
+This is part of the PAFF package, related to projective space.
+
 See Also:
 o )show SetCategoryWithDegree
 
@@ -9992,7 +9968,6 @@ These exports come from \refto{SetCategory}():
 ++ Author: Gaetan Hache
 ++ Date Created: 17 nov 1992
 ++ Date Last Updated: May 2010 by Tim Daly
-++ Keywords:
 ++ Description:
 ++ This is part of the PAFF package, related to projective space.
 SetCategoryWithDegree:Category == SetCategory with
@@ -10088,6 +10063,9 @@ digraph pic {
 SExpressionCategory examples
 ====================================================================
 
+This category allows the manipulation of Lisp values while keeping
+the grunge fairly localized.
+
 See Also:
 o )show SExpressionCategory
 
@@ -10167,7 +10145,6 @@ These exports come from \refto{SetCategory}():
 
 \begin{chunk}{category SEXCAT SExpressionCategory}
 )abbrev category SEXCAT SExpressionCategory
-++ Category for Lisp values
 ++ Author: S.M.Watt
 ++ Date Created: July 1987
 ++ Date Last Modified: 23 May 1991
@@ -10320,6 +10297,18 @@ digraph pic {
 StepThrough examples
 ====================================================================
 
+A class of objects which can be 'stepped through'. 
+
+Repeated applications of nextItem is guaranteed never to return 
+duplicate items and only return "failed" after exhausting all 
+elements of the domain. This assumes that the sequence starts 
+with init(). For infinite domains, repeated application of nextItem 
+is not required to reach all possible domain elements starting from 
+any initial element.
+
+Conditional attributes:
+    infinite -- repeated nextItem's are never "failed".
+
 See Also:
 o )show StepThrough
 
@@ -10361,15 +10350,6 @@ These exports come from \refto{SetCategory}():
 
 \begin{chunk}{category STEP StepThrough}
 )abbrev category STEP StepThrough
-++ Author:
-++ Date Created:
-++ Date Last Updated:
-++ Basic Functions:
-++ Related Constructors:
-++ Also See:
-++ AMS Classifications:
-++ Keywords:
-++ References:
 ++ Description:
 ++ A class of objects which can be 'stepped through'.
 ++ Repeated applications of \spadfun{nextItem} is guaranteed never to
@@ -10497,6 +10477,10 @@ digraph pic {
 ThreeSpaceCategory examples
 ====================================================================
 
+The category ThreeSpaceCategory is used for creating three dimensional 
+objects using functions for defining points, curves, polygons, 
+constructs and the subspaces containing them.
+
 See Also:
 o )show ThreeSpaceCategory
 
@@ -10615,19 +10599,6 @@ These exports come from \refto{SetCategory}():
 
 \begin{chunk}{category SPACEC ThreeSpaceCategory}
 )abbrev category SPACEC ThreeSpaceCategory
-++ Author: 
-++ Date Created: 
-++ Date Last Updated:
-++ Basic Operations: create3Space, numberOfComponents, numberOfComposites,
-++ merge, composite, components, copy, enterPointData, modifyPointData, 
-++ point, point?, curve, curve?, closedCurve, closedCurve?, polygon, 
-++ polygon? mesh, mesh?, lp, lllip, lllp, llprop, lprop, objects, 
-++ check, subspace, coerce
-++ Related Constructors:
-++ Also See:
-++ AMS Classifications:
-++ Keywords: 
-++ References:
 ++ Description:
 ++ The category ThreeSpaceCategory is used for creating 
 ++ three dimensional objects using functions for defining points, curves, 
@@ -10986,6 +10957,13 @@ digraph pic {
 AbelianMonoid examples
 ====================================================================
 
+The class of multiplicative monoids, i.e. semigroups with an
+additive identity element.
+
+Axioms:
+        leftIdentity("+":(%,%)->%,0)      0+x=x 
+        rightIdentity("+":(%,%)->%,0)     x+0=x
+
 See Also:
 o )show AbelianMonoid
 
@@ -11038,15 +11016,6 @@ These exports come from \refto{AbelianSemiGroup}():
 
 \begin{chunk}{category ABELMON AbelianMonoid}
 )abbrev category ABELMON AbelianMonoid
-++ Author:
-++ Date Created:
-++ Date Last Updated:
-++ Basic Functions:
-++ Related Constructors:
-++ Also See:
-++ AMS Classifications:
-++ Keywords:
-++ References:
 ++ Description:
 ++ The class of multiplicative monoids, i.e. semigroups with an
 ++ additive identity element.
@@ -11174,6 +11143,9 @@ digraph pic {
 AffineSpaceCategory examples
 ====================================================================
 
+The following is all the categories and domains related to projective
+space and part of the PAFF package
+
 See Also:
 o )show AffineSpaceCategory
 
@@ -11415,6 +11387,10 @@ digraph pic {
 BagAggregate examples
 ====================================================================
 
+A bag aggregate is an aggregate for which one can insert and extract 
+objects, and where the order in which objects are inserted determines the
+order of extraction. Examples of bags are stacks, queues, and dequeues.
+
 See Also:
 o )show BagAggregate
 
@@ -11524,12 +11500,6 @@ These exports come from \refto{HomogeneousAggregate}(S:Type):
 ++ Author: Michael Monagan; revised by Manuel Bronstein and Richard Jenks
 ++ Date Created: August 87 through August 88
 ++ Date Last Updated: April 1991
-++ Basic Operations:
-++ Related Constructors:
-++ Also See:
-++ AMS Classifications:
-++ Keywords:
-++ References:
 ++ Description:
 ++ A bag aggregate is an aggregate for which one can insert and extract 
 ++ objects, and where the order in which objects are inserted determines 
@@ -11631,6 +11601,9 @@ digraph pic {
 CachableSet examples
 ====================================================================
 
+A cachable set is a set whose elements keep an integer as part
+of their structure.
+
 See Also:
 o )show CachableSet
 
@@ -11680,7 +11653,6 @@ These exports come from \refto{OrderedSet}():
 
 \begin{chunk}{category CACHSET CachableSet}
 )abbrev category CACHSET CachableSet
-++ Sets whose elements can cache an integer
 ++ Author: Manuel Bronstein
 ++ Date Created: 31 Oct 1988
 ++ Date Last Updated: 14 May 1991
@@ -11802,6 +11774,13 @@ digraph pic {
 Collection examples
 ====================================================================
 
+A collection is a homogeneous aggregate which can built from
+list of members. The operation used to build the aggregate is
+generically named construct. However, each collection provides 
+its own special function with the same name as the data type, 
+except with an initial lower case letter, e.g.
+list for List, flexibleArray for FlexibleArray, and so on.
+
 See Also:
 o )show Collection
 
@@ -11930,12 +11909,6 @@ These exports come from \refto{ConvertibleTo}(S:Type):
 ++ Author: Michael Monagan; revised by Manuel Bronstein and Richard Jenks
 ++ Date Created: August 87 through August 88
 ++ Date Last Updated: April 1991
-++ Basic Operations:
-++ Related Constructors:
-++ Also See:
-++ AMS Classifications:
-++ Keywords:
-++ References:
 ++ Description:
 ++ A collection is a homogeneous aggregate which can built from
 ++ list of members. The operation used to build the aggregate is
@@ -12109,6 +12082,42 @@ digraph pic {
 DifferentialVariableCategory examples
 ====================================================================
 
+DifferentialVariableCategory constructs the set of derivatives of a 
+given set of (ordinary) differential indeterminates. If x,...,y is 
+an ordered set of differential indeterminates, and the prime notation 
+is used for differentiation, then the set of derivatives (including
+zero-th order) of the differential indeterminates is 
+    x, x', x'',..., y, y', y'',...
+(Note that in the interpreter, the n-th derivative of y is displayed as
+y with a subscript n.)  This set is viewed as a set of algebraic 
+indeterminates, totally ordered in a way compatible with differentiation 
+and the given order on the differential indeterminates.  Such a total 
+order is called a ranking of the differential indeterminates.
+
+A domain in this category is needed to construct a differential
+polynomial domain.  Differential polynomials are ordered by a ranking 
+on the derivatives, and by an order (extending the ranking) on the set 
+of differential monomials.  One may thus associate a domain in this 
+category with a ranking of the differential indeterminates, just as 
+one associates a domain in the category OrderedAbelianMonoidSup with 
+an ordering of the set of monomials in a set of algebraic indeterminates.  
+The ranking is specified through the binary relation <. For example, one 
+may define one derivative to be less than another by lexicographically 
+comparing first the order, then the given order of the differential
+indeterminates appearing in the derivatives.  This is the default
+implementation.
+
+The notion of weight generalizes that of degree.  A polynomial domain 
+may be made into a graded ring if a weight function is given on the set 
+of indeterminates. Very often, a grading is the first step in ordering 
+the set of monomials.  For differential polynomial domains, this
+constructor provides a function \spadfun{weight}, which allows the 
+assignment of a non-negative number to each derivative of a differential 
+indeterminate.  For example, one may define the weight of a derivative 
+to be simply its order (this is the default assignment). This weight 
+function can then be extended to the set of all differential polynomials, 
+providing a graded ring structure.
+
 See Also:
 o )show DifferentialVariableCategory
 
@@ -12182,13 +12191,6 @@ These exports come from \refto{RetractableTo}(S:OrderedSet):
 ++ Author:  William Sit
 ++ Date Created: 19 July 1990
 ++ Date Last Updated: 13 September 1991
-++ Basic Operations:
-++ Related Constructors:DifferentialPolynomialCategory
-++ See Also:OrderedDifferentialVariable,
-++          SequentialDifferentialVariable,
-++          DifferentialSparseMultivariatePolynomial.
-++ AMS Classifications:12H05
-++ Keywords: differential indeterminates, ranking, order, weight
 ++ References:Ritt, J.F. "Differential Algebra" (Dover, 1950).
 ++ Description:
 ++ \spadtype{DifferentialVariableCategory} constructs the
@@ -12422,6 +12424,8 @@ digraph pic {
 ExpressionSpace examples
 ====================================================================
 
+An expression space is a set which is closed under certain operators.
+
 See Also:
 o )show ExpressionSpace
 
@@ -12563,7 +12567,6 @@ These exports come from \refto{Evalable}(a:SetCategory):
 ++ Author: Manuel Bronstein
 ++ Date Created: 22 March 1988
 ++ Date Last Updated: 27 May 1994
-++ Keywords: operator, kernel, expression, space.
 ++ Description:
 ++ An expression space is a set which is closed under certain operators;
 
@@ -12991,6 +12994,13 @@ digraph pic {
 GradedAlgebra examples
 ====================================================================
 
+GradedAlgebra(R,E) denotes "E-graded R-algebra". A graded algebra is a 
+graded module together with a degree preserving R-linear map, called 
+the product.
+
+The name "product" is written out in full so inner and outer products
+with the same mapping type can be distinguished by name.
+
 See Also:
 o )show GradedAlgebra
 
@@ -13059,12 +13069,6 @@ These exports come from \refto{RetractableTo}(R:CommutativeRing):
 ++ Author: Stephen M. Watt
 ++ Date Created: May 20, 1991
 ++ Date Last Updated: May 20, 1991
-++ Basic Operations: +, *, degree
-++ Related Domains: CartesianTensor(n,dim,R)
-++ Also See:
-++ AMS Classifications:
-++ Keywords: graded module, tensor, multi-linear algebra
-++ Examples:
 ++ References: Encyclopedic Dictionary of Mathematics, MIT Press, 1977
 ++ Description:
 ++ GradedAlgebra(R,E) denotes ``E-graded R-algebra''.
@@ -13215,6 +13219,11 @@ digraph pic {
 IndexedAggregate examples
 ====================================================================
 
+An indexed aggregate is a many-to-one mapping of indices to entries.
+For example, a one-dimensional-array is an indexed aggregate where
+the index is an integer.  Also, a table is an indexed aggregate
+where the indices and entries may have any type.
+
 See Also:
 o )show IndexedAggregate
 
@@ -13356,12 +13365,6 @@ These exports come from \refto{EltableAggregate}(Index:SetCategory,Entry:Type):
 ++ Author: Michael Monagan; revised by Manuel Bronstein and Richard Jenks
 ++ Date Created: August 87 through August 88
 ++ Date Last Updated: April 1991
-++ Basic Operations:
-++ Related Constructors:
-++ Also See:
-++ AMS Classifications:
-++ Keywords:
-++ References:
 ++ Description:
 ++ An indexed aggregate is a many-to-one mapping of indices to entries.
 ++ For example, a one-dimensional-array is an indexed aggregate where
@@ -13540,6 +13543,16 @@ digraph pic {
 MonadWithUnit examples
 ====================================================================
 
+MonadWithUnit is the class of multiplicative monads with unit,
+i.e. sets with a binary operation and a unit element.
+
+Axioms:
+       leftIdentity("*":(%,%)->%,1)      1*x=x
+       rightIdentity("*":(%,%)->%,1)     x*1=x
+
+Common Additional Axioms:
+       unitsKnown - if "recip" says "failed", it PROVES input wasn't a unit
+
 See Also:
 o )show MonadWithUnit
 
@@ -13602,12 +13615,6 @@ These exports come from \refto{Monad}():
 ++ Authors: J. Grabmeier, R. Wisbauer
 ++ Date Created: 01 March 1991
 ++ Date Last Updated: 11 June 1991
-++ Basic Operations: *, **, 1
-++ Related Constructors: SemiGroup, Monoid, Monad
-++ Also See:
-++ AMS Classifications:
-++ Keywords:
-++ Keywords: Monad with unit, binary operation
 ++ Reference:
 ++ N. Jacobson: Structure and Representations of Jordan Algebras
 ++ AMS, Providence, 1968
@@ -13759,6 +13766,16 @@ digraph pic {
 Monoid examples
 ====================================================================
 
+The class of multiplicative monoids, i.e. semigroups with a
+multiplicative identity element.
+
+Axioms:
+        leftIdentity("*":(%,%)->%,1)     1*x=x
+        rightIdentity("*":(%,%)->%,1)    x*1=x
+
+Conditional attributes:
+        unitsKnown - \spadfun{recip} only returns "failed" on non-units
+
 See Also:
 o )show Monoid
 
@@ -13817,15 +13834,6 @@ These exports come from \refto{SemiGroup}():
 
 \begin{chunk}{category MONOID Monoid}
 )abbrev category MONOID Monoid
-++ Author:
-++ Date Created:
-++ Date Last Updated:
-++ Basic Functions:
-++ Related Constructors:
-++ Also See:
-++ AMS Classifications:
-++ Keywords:
-++ References:
 ++ Description:
 ++ The class of multiplicative monoids, i.e. semigroups with a
 ++ multiplicative identity element.
@@ -13956,6 +13964,8 @@ digraph pic {
 OrderedFinite examples
 ====================================================================
 
+This is the category of Ordered finite sets.
+
 See Also:
 o )show OrderedFinite
 
@@ -14010,15 +14020,6 @@ These exports come from \refto{Finite}():
 
 \begin{chunk}{category ORDFIN OrderedFinite}
 )abbrev category ORDFIN OrderedFinite
-++ Author:
-++ Date Created:
-++ Date Last Updated:
-++ Basic Functions:
-++ Related Constructors:
-++ Also See:
-++ AMS Classifications:
-++ Keywords:
-++ References:
 ++ Description:
 ++ Ordered finite sets.
 
@@ -14120,6 +14121,8 @@ digraph pic {
 PlacesCategory examples
 ====================================================================
 
+This is part of the PAFF package, related to projective space.
+
 See Also:
 o )show PlacesCategory
 
@@ -14340,6 +14343,8 @@ digraph pic {
 ProjectiveSpaceCategory examples
 ====================================================================
 
+This is part of the PAFF package, related to projective space.
+
 See Also:
 o )show ProjectiveSpaceCategory
 
@@ -14606,6 +14611,13 @@ digraph pic {
 RecursiveAggregate examples
 ====================================================================
 
+A recursive aggregate over a type S is a model for a a directed graph 
+containing values of type S. Recursively, a recursive aggregate is a node
+consisting of a value from S and 0 or more children which are recursive 
+aggregates. A node with no children is called a leaf node. A recursive 
+aggregate may be cyclic for which some operations as noted may go into 
+an infinite loop.
+
 See Also:
 o )show RecursiveAggregate
 
@@ -14736,12 +14748,6 @@ These exports come from \refto{HomogeneousAggregate}(S:Type):
 ++ Author: Michael Monagan; revised by Manuel Bronstein and Richard Jenks
 ++ Date Created: August 87 through August 88
 ++ Date Last Updated: April 1991
-++ Basic Operations:
-++ Related Constructors:
-++ Also See:
-++ AMS Classifications:
-++ Keywords:
-++ References:
 ++ Description:
 ++ A recursive aggregate over a type S is a model for a
 ++ a directed graph containing values of type S.
@@ -14906,6 +14912,8 @@ first column in an array and vice versa.
 TwoDimensionalArrayCategory examples
 ====================================================================
 
+This is the category of two dimensional array categories and domains.
+
 See Also:
 o )show TwoDimensionalArrayCategory
 
@@ -15039,12 +15047,9 @@ These exports come from \refto{HomogeneousAggregate}(R:Type)
 
 \begin{chunk}{category ARR2CAT TwoDimensionalArrayCategory}
 )abbrev category ARR2CAT TwoDimensionalArrayCategory
-++ Author:
 ++ Date Created: 27 October 1989
 ++ Date Last Updated: 27 June 1990
 ++ Keywords: array, data structure
-++ Examples:
-++ References:
 ++ Description:
 ++ Two dimensional array categories and domains
 
@@ -15521,6 +15526,9 @@ digraph pic {
 BinaryRecursiveAggregate examples
 ====================================================================
 
+A binary-recursive aggregate has 0, 1 or 2 children and serves
+as a model for a binary tree or a doubly-linked aggregate structure
+
 See Also:
 o )show BinaryRecursiveAggregate
 
@@ -15665,12 +15673,6 @@ These exports come from \refto{RecursiveAggregate}(S:Type)
 ++ Author: Michael Monagan; revised by Manuel Bronstein and Richard Jenks
 ++ Date Created: August 87 through August 88
 ++ Date Last Updated: April 1991
-++ Basic Operations:
-++ Related Constructors:
-++ Also See:
-++ AMS Classifications:
-++ Keywords:
-++ References:
 ++ Description:
 ++ A binary-recursive aggregate has 0, 1 or 2 children and serves
 ++ as a model for a binary tree or a doubly-linked aggregate structure
@@ -15854,6 +15856,12 @@ digraph pic {
 CancellationAbelianMonoid examples
 ====================================================================
 
+This is an AbelianMonoid with the cancellation property, i.e.
+     a+b = a+c => b=c 
+This is formalised by the partial subtraction operator, which satisfies 
+the Axiom
+     c = a+b <=> c-b = a
+
 See Also:
 o )show CancellationAbelianMonoid
 
@@ -15903,15 +15911,6 @@ These exports come from \refto{AbelianMonoid}():
 
 \begin{chunk}{category CABMON CancellationAbelianMonoid}
 )abbrev category CABMON CancellationAbelianMonoid
-++ Author:
-++ Date Created:
-++ Date Last Updated:
-++ Basic Functions:
-++ Related Constructors:
-++ Also See:
-++ AMS Classifications:
-++ Keywords:
-++ References: Davenport & Trager I
 ++ Description:
 ++ This is an \spadtype{AbelianMonoid} with the cancellation property, i.e.\br
 ++ \tab{5}\spad{ a+b = a+c => b=c }.\br
@@ -16051,6 +16050,9 @@ digraph pic {
 DictionaryOperations examples
 ====================================================================
 
+This category is a collection of operations common to both
+categories Dictionary and MultiDictionary.
+
 See Also:
 o )show DictionaryOperations
 
@@ -16196,12 +16198,6 @@ These exports come from \refto{Collection}(S:SetCategory)
 ++ Author: Michael Monagan; revised by Manuel Bronstein and Richard Jenks
 ++ Date Created: August 87 through August 88
 ++ Date Last Updated: April 1991
-++ Basic Operations:
-++ Related Constructors:
-++ Also See:
-++ AMS Classifications:
-++ Keywords:
-++ References:
 ++ Description:
 ++ This category is a collection of operations common to both
 ++ categories \spadtype{Dictionary} and \spadtype{MultiDictionary}
@@ -16360,6 +16356,10 @@ digraph pic {
 DoublyLinkedAggregate examples
 ====================================================================
 
+A doubly-linked aggregate serves as a model for a doubly-linked
+list, that is, a list which can has links to both next and previous
+nodes and thus can be efficiently traversed in both directions.
+
 See Also:
 o )show DoublyLinkedAggregate
 
@@ -16499,12 +16499,6 @@ These exports come from \refto{RecursiveAggregate}(S:Type):
 ++ Author: Michael Monagan; revised by Manuel Bronstein and Richard Jenks
 ++ Date Created: August 87 through August 88
 ++ Date Last Updated: April 1991
-++ Basic Operations:
-++ Related Constructors:
-++ Also See:
-++ AMS Classifications:
-++ Keywords:
-++ References:
 ++ Description:
 ++ A doubly-linked aggregate serves as a model for a doubly-linked
 ++ list, that is, a list which can has links to both next and previous
@@ -16621,6 +16615,12 @@ digraph pic {
 Group examples
 ====================================================================
 
+The class of multiplicative groups, i.e. monoids with multiplicative inverses.
+
+Axioms:
+        leftInverse("*":(%,%)->%,inv)   inv(x)*x = 1
+        rightInverse("*":(%,%)->%,inv)  x*inv(x) = 1 
+
 See Also:
 o )show Group
 
@@ -16694,15 +16694,6 @@ These exports come from \refto{Monoid}():
 
 \begin{chunk}{category GROUP Group}
 )abbrev category GROUP Group
-++ Author:
-++ Date Created:
-++ Date Last Updated:
-++ Basic Functions:
-++ Related Constructors:
-++ Also See:
-++ AMS Classifications:
-++ Keywords:
-++ References:
 ++ Description:
 ++ The class of multiplicative groups, i.e. monoids with
 ++ multiplicative inverses.
@@ -16883,6 +16874,17 @@ digraph pic {
 LinearAggregate examples
 ====================================================================
 
+A linear aggregate is an aggregate whose elements are indexed by integers.
+Examples of linear aggregates are strings, lists, and arrays.
+
+Most of the exported operations for linear aggregates are non-destructive
+but are not always efficient for a particular aggregate.
+
+For example, concat of two lists needs only to copy its first argument, 
+whereas concat of two arrays needs to copy both arguments. Most of the 
+operations exported here apply to infinite objects (e.g. streams) as well 
+to finite ones. For finite linear aggregates, see FiniteLinearAggregate.
+
 See Also:
 o )show LinearAggregate
 
@@ -17058,12 +17060,6 @@ These exports come from \refto{Collection}(S:Type):
 ++ Author: Michael Monagan; revised by Manuel Bronstein and Richard Jenks
 ++ Date Created: August 87 through August 88
 ++ Date Last Updated: April 1991
-++ Basic Operations:
-++ Related Constructors:
-++ Also See:
-++ AMS Classifications:
-++ Keywords:
-++ References:
 ++ Description:
 ++ A linear aggregate is an aggregate whose elements are indexed by integers.
 ++ Examples of linear aggregates are strings, lists, and
@@ -18093,6 +18089,16 @@ inverse matrix [[j**i for i in 0..4] for j in 1..5]
 MatrixCategory examples
 ====================================================================
 
+MatrixCategory is a general matrix category which allows different 
+representations and indexing schemes.  Rows and columns may be 
+extracted with rows returned as objects of type Row and colums 
+returned as objects of type Col. A domain belonging to this category 
+will be shallowly mutable. The index of the 'first' row may be 
+obtained by calling the function minRowIndex.  The index of the 
+'first' column may be obtained by calling the function minColIndex.  
+The index of the first element of a Row is the same as the index of the
+first column in a matrix and vice versa.
+
 Predicates:
 
 square?(m) returns true if m is a square matrix
@@ -18595,13 +18601,6 @@ Col:FiniteLinearAggregate(R):
 ++ Authors: Grabmeier, Gschnitzer, Williamson, Gabriel Dos Reis
 ++ Date Created: 1987
 ++ Date Last Updated: July 1990
-++ Basic Operations:
-++ Related Domains: Matrix(R)
-++ Also See:
-++ AMS Classifications:
-++ Keywords: matrix, linear algebra
-++ Examples:
-++ References:
 ++ Description:
 ++ \spadtype{MatrixCategory} is a general matrix category which allows
 ++ different representations and indexing schemes.  Rows and
@@ -19456,6 +19455,12 @@ digraph pic {
 OrderedAbelianSemiGroup examples
 ====================================================================
 
+Ordered sets which are also abelian semigroups, such that the addition
+preserves the ordering.
+
+Axiom:
+        x < y => x+z < y+z
+
 See Also:
 o )show OrderedAbelianSemiGroup
 
@@ -19514,15 +19519,6 @@ These exports come from \refto{AbelianMonoid}():
 
 \begin{chunk}{category OASGP OrderedAbelianSemiGroup}
 )abbrev category OASGP OrderedAbelianSemiGroup
-++ Author:
-++ Date Created:
-++ Date Last Updated:
-++ Basic Functions:
-++ Related Constructors:
-++ Also See:
-++ AMS Classifications:
-++ Keywords:
-++ References:
 ++ Description:
 ++ Ordered sets which are also abelian semigroups, such that the addition
 ++ preserves the ordering.\br
@@ -19635,6 +19631,13 @@ digraph pic {
 OrderedMonoid examples
 ====================================================================
 
+Ordered sets which are also monoids, such that multiplication
+preserves the ordering.
+
+Axioms:
+         x < y => x*z < y*z
+         x < y => z*x < z*y
+
 See Also:
 o )show OrderedMonoid
 
@@ -19697,15 +19700,6 @@ These exports come from \refto{OrderedSet}():
 
 \begin{chunk}{category ORDMON OrderedMonoid}
 )abbrev category ORDMON OrderedMonoid
-++ Author:
-++ Date Created:
-++ Date Last Updated:
-++ Basic Functions:
-++ Related Constructors:
-++ Also See:
-++ AMS Classifications:
-++ Keywords:
-++ References:
 ++ Description:
 ++ Ordered sets which are also monoids, such that multiplication
 ++ preserves the ordering.
@@ -19859,6 +19853,16 @@ digraph pic {
 PolynomialSetCategory examples
 ====================================================================
 
+A category for finite subsets of a polynomial ring.  Such a set is
+only regarded as a set of polynomials and not identified to the ideal
+it generates. So two distinct sets may generate the same the ideal. 
+Furthermore, for R being an integral domain, a set of polynomials may 
+be viewed as a representation of the ideal it generates in the polynomial 
+ring (R)^(-1) P, or the set of its zeros (described for instance by the 
+radical of the previous ideal, or a split of the associated affine 
+variety) and so on.  So this category provides operations about 
+those different notions.
+
 See Also:
 o )show PolynomialSetCategory
 
@@ -20023,12 +20027,6 @@ These exports come from \refto{IntegralDomain}():
 ++ Author: Marc Moreno Maza
 ++ Date Created: 04/26/1994
 ++ Date Last Updated: 12/15/1998
-++ Basic Functions:
-++ Related Constructors:
-++ Also See: 
-++ AMS Classifications:
-++ Keywords: polynomial, multivariate, ordered variables set
-++ References:
 ++ Description:
 ++ A category for finite subsets of a polynomial ring.
 ++ Such a set is only regarded as a set of polynomials and not 
@@ -20523,6 +20521,9 @@ digraph pic {
 PriorityQueueAggregate examples
 ====================================================================
 
+A priority queue is a bag of items from an ordered set where the item
+extracted is always the maximum element.
+
 See Also:
 o )show PriorityQueueAggregate
 
@@ -20632,12 +20633,6 @@ These exports come from \refto{BagAggregate}(S:OrderedSet):
 ++ Author: Michael Monagan; revised by Manuel Bronstein and Richard Jenks
 ++ Date Created: August 87 through August 88
 ++ Date Last Updated: April 1991
-++ Basic Operations:
-++ Related Constructors:
-++ Also See:
-++ AMS Classifications:
-++ Keywords:
-++ References:
 ++ Description:
 ++ A priority queue is a bag of items from an ordered set where the item
 ++ extracted is always the maximum element.
@@ -20761,6 +20756,8 @@ digraph pic {
 QueueAggregate examples
 ====================================================================
 
+A queue is a bag where the first item inserted is the first item extracted.
+
 See Also:
 o )show QueueAggregate
 
@@ -20876,12 +20873,6 @@ These exports come from \refto{BagAggregate}(S:Type):
 ++ Author: Michael Monagan; revised by Manuel Bronstein and Richard Jenks
 ++ Date Created: August 87 through August 88
 ++ Date Last Updated: April 1991
-++ Basic Operations:
-++ Related Constructors:
-++ Also See:
-++ AMS Classifications:
-++ Keywords:
-++ References:
 ++ Description:
 ++ A queue is a bag where the first item inserted is the first 
 ++ item extracted.
@@ -21021,6 +21012,12 @@ digraph pic {
 SetAggregate examples
 ====================================================================
 
+A set category lists a collection of set-theoretic operations useful 
+for both finite sets and multisets. Note however that finite sets are 
+distinct from multisets. Although the operations defined for set 
+categories are common to both, the relationship between the two cannot
+be described by inclusion or inheritance.
+
 See Also:
 o )show SetAggregate
 
@@ -21179,12 +21176,6 @@ These exports come from \refto{Collection}(S:SetCategory):
 ++ Author: Michael Monagan; revised by Manuel Bronstein and Richard Jenks
 ++ Date Created: August 87 through August 88
 ++ Date Last Updated: 14 Oct, 1993 by RSS
-++ Basic Operations:
-++ Related Constructors:
-++ Also See:
-++ AMS Classifications:
-++ Keywords:
-++ References:
 ++ Description:
 ++ A set category lists a collection of set-theoretic operations
 ++ useful for both finite sets and multisets.
@@ -21371,6 +21362,8 @@ digraph pic {
 StackAggregate examples
 ====================================================================
 
+A stack is a bag where the last item inserted is the first item extracted.
+
 See Also:
 o )show StackAggregate
 
@@ -21482,12 +21475,6 @@ These exports come from \refto{BagAggregate}(S:Type):
 ++ Author: Michael Monagan; revised by Manuel Bronstein and Richard Jenks
 ++ Date Created: August 87 through August 88
 ++ Date Last Updated: April 1991
-++ Basic Operations:
-++ Related Constructors:
-++ Also See:
-++ AMS Classifications:
-++ Keywords:
-++ References:
 ++ Description:
 ++ A stack is a bag where the last item inserted is the first item extracted.
 
@@ -21650,6 +21637,16 @@ digraph pic {
 UnaryRecursiveAggregate examples
 ====================================================================
 
+A unary-recursive aggregate is a one where nodes may have either
+0 or 1 children. This aggregate models, though not precisely, a linked
+list possibly with a single cycle.
+
+A node with one children models a non-empty list, with the value of the 
+list designating the head, or first, of the list, and the child 
+designating the tail, or rest, of the list. A node with no child then 
+designates the empty list. Since these aggregates are recursive aggregates, 
+they may be cyclic.
+
 See Also:
 o )show UnaryRecursiveAggregate
 
@@ -21826,12 +21823,6 @@ These exports come from \refto{RecursiveAggregate}(S:Type):
 ++ Author: Michael Monagan; revised by Manuel Bronstein and Richard Jenks
 ++ Date Created: August 87 through August 88
 ++ Date Last Updated: April 1991
-++ Basic Operations:
-++ Related Constructors:
-++ Also See:
-++ AMS Classifications:
-++ Keywords:
-++ References:
 ++ Description:
 ++ A unary-recursive aggregate is a one where nodes may have either
 ++ 0 or 1 children.
@@ -22163,6 +22154,13 @@ digraph pic {
 AbelianGroup examples
 ====================================================================
 
+The class of abelian groups, i.e. additive monoids where each element 
+has an additive inverse.
+
+Axioms:
+         -(-x) = x
+         x+(-x) = 0
+
 See Also:
 o )show AbelianGroup
 
@@ -22225,15 +22223,6 @@ These exports come from \refto{CancellationAbelianMonoid}():
 
 \begin{chunk}{category ABELGRP AbelianGroup}
 )abbrev category ABELGRP AbelianGroup
-++ Author:
-++ Date Created:
-++ Date Last Updated:
-++ Basic Functions:
-++ Related Constructors:
-++ Also See:
-++ AMS Classifications:
-++ Keywords:
-++ References:
 ++ Description:
 ++ The class of abelian groups, i.e. additive monoids where
 ++ each element has an additive inverse.
@@ -22384,6 +22373,10 @@ digraph pic {
 BinaryTreeCategory examples
 ====================================================================
 
+BinaryTreeCategory(S) is the category of binary trees: a tree which 
+is either empty or else is a node consisting of a value and a left and 
+right, both binary trees. 
+
 See Also:
 o )show BinaryTreeCategory
 
@@ -22514,14 +22507,6 @@ These exports come from \refto{BinaryRecursiveAggregate}(S:SetCategory):
 )abbrev category BTCAT BinaryTreeCategory
 ++ Author:W. H. Burge
 ++ Date Created:17 Feb 1992
-++ Date Last Updated:
-++ Basic Operations:
-++ Related Domains:
-++ Also See:
-++ AMS Classifications:
-++ Keywords:
-++ Examples:
-++ References:
 ++ Description:
 ++ \spadtype{BinaryTreeCategory(S)} is the category of
 ++ binary trees: a tree which is either empty or else is a 
@@ -22685,6 +22670,13 @@ digraph pic {
 Dictionary examples
 ====================================================================
 
+A dictionary is an aggregate in which entries can be inserted,
+searched for and removed. Duplicates are thrown away on insertion.
+This category models the usual notion of dictionary which involves
+large amounts of data where copying is impractical.
+
+Principal operations are thus destructive (non-copying) ones.
+
 See Also:
 o )show Dictionary
 
@@ -22821,12 +22813,6 @@ These exports come from \refto{DictionaryOperations}(S:SetCategory):
 ++ Author: Michael Monagan; revised by Manuel Bronstein and Richard Jenks
 ++ Date Created: August 87 through August 88
 ++ Date Last Updated: April 1991
-++ Basic Operations:
-++ Related Constructors:
-++ Also See:
-++ AMS Classifications:
-++ Keywords:
-++ References:
 ++ Description:
 ++ A dictionary is an aggregate in which entries can be inserted,
 ++ searched for and removed. Duplicates are thrown away on insertion.
@@ -22983,6 +22969,10 @@ digraph pic {
 DequeueAggregate examples
 ====================================================================
 
+A dequeue is a doubly ended stack, that is, a bag where first items
+inserted are the first items extracted, at either the front or 
+the back end of the data structure.
+
 See Also:
 o )show DequeueAggregate
 
@@ -23130,12 +23120,6 @@ These exports come from \refto{QueueAggregate}(S:Type):
 ++ Author: Michael Monagan; revised by Manuel Bronstein and Richard Jenks
 ++ Date Created: August 87 through August 88
 ++ Date Last Updated: April 1991
-++ Basic Operations:
-++ Related Constructors:
-++ Also See:
-++ AMS Classifications:
-++ Keywords:
-++ References:
 ++ Description:
 ++ A dequeue is a doubly ended stack, that is, a bag where first items
 ++ inserted are the first items extracted, at either the front or 
@@ -23313,8 +23297,16 @@ digraph pic {
 ExtensibleLinearAggregate examples
 ====================================================================
 
+An extensible aggregate is one which allows insertion and deletion of 
+entries. These aggregates are models of lists and streams which are 
+represented by linked structures so as to make insertion, deletion, and
+concatenation efficient. However, access to elements of these
+extensible aggregates is generally slow since access is made from the end.
+See FlexibleArray for an exception.
+
 See Also:
 o )show ExtensibleLinearAggregate
+o )show FlexibleArray
 
 \end{chunk}
 {\bf See:}
@@ -23500,12 +23492,6 @@ These exports come from \refto{LinearAggregate}(S:Type):
 ++ Author: Michael Monagan; revised by Manuel Bronstein and Richard Jenks
 ++ Date Created: August 87 through August 88
 ++ Date Last Updated: April 1991
-++ Basic Operations:
-++ Related Constructors:
-++ Also See:
-++ AMS Classifications:
-++ Keywords:
-++ References:
 ++ Description:
 ++ An extensible aggregate is one which allows insertion and deletion of 
 ++ entries. These aggregates are models of lists and streams which are 
@@ -23715,6 +23701,10 @@ digraph pic {
 FiniteLinearAggregate examples
 ====================================================================
 
+A finite linear aggregate is a linear aggregate of finite length.
+The finite property of the aggregate adds several exports to the
+list of exports from LinearAggregate such as reverse, sort, and so on.
+
 See Also:
 o )show FiniteLinearAggregate
 
@@ -23937,12 +23927,6 @@ These exports come from \refto{OrderedSet}:
 ++ Author: Michael Monagan; revised by Manuel Bronstein and Richard Jenks
 ++ Date Created: August 87 through August 88
 ++ Date Last Updated: April 1991
-++ Basic Operations:
-++ Related Constructors:
-++ Also See:
-++ AMS Classifications:
-++ Keywords:
-++ References:
 ++ Description:
 ++ A finite linear aggregate is a linear aggregate of finite length.
 ++ The finite property of the aggregate adds several exports to the
@@ -24111,6 +24095,10 @@ digraph pic {
 FreeAbelianMonoidCategory examples
 ====================================================================
 
+A free abelian monoid on a set S is the monoid of finite sums of
+the form reduce(+,[ni * si]) where the si's are in S, and the ni's
+are in a given abelian monoid. The operation is commutative.
+
 See Also:
 o )show FreeAbelianMonoidCategory
 
@@ -24372,6 +24360,10 @@ digraph pic {
 MultiDictionary examples
 ====================================================================
 
+A multi-dictionary is a dictionary which may contain duplicates.
+As for any dictionary, its size is assumed large so that
+copying (non-destructive) operations are generally to be avoided.
+
 See Also:
 o )show MultiDictionary
 
@@ -24509,12 +24501,6 @@ These exports come from \refto{DictionaryOperations}(S:SetCategory):
 ++ Author: Michael Monagan; revised by Manuel Bronstein and Richard Jenks
 ++ Date Created: August 87 through August 88
 ++ Date Last Updated: April 1991
-++ Basic Operations:
-++ Related Constructors:
-++ Also See:
-++ AMS Classifications:
-++ Keywords:
-++ References:
 ++ Description:
 ++ A multi-dictionary is a dictionary which may contain duplicates.
 ++ As for any dictionary, its size is assumed large so that
@@ -24619,6 +24605,9 @@ digraph pic {
 OrderedAbelianMonoid examples
 ====================================================================
 
+Ordered sets which are also abelian monoids, such that the addition
+preserves the ordering.
+
 See Also:
 o )show OrderedAbelianMonoid
 
@@ -24677,15 +24666,6 @@ These exports come from \refto{AbelianMonoid}():
 
 \begin{chunk}{category OAMON OrderedAbelianMonoid}
 )abbrev category OAMON OrderedAbelianMonoid
-++ Author:
-++ Date Created:
-++ Date Last Updated:
-++ Basic Functions:
-++ Related Constructors:
-++ Also See:
-++ AMS Classifications:
-++ Keywords:
-++ References:
 ++ Description:
 ++ Ordered sets which are also abelian monoids, such that the addition
 ++ preserves the ordering.
@@ -24783,6 +24763,9 @@ digraph pic {
 PermutationCategory examples
 ====================================================================
 
+PermutationCategory provides a categorial environment for subgroups 
+of bijections of a set (i.e. permutations)
+
 See Also:
 o )show PermutationCategory
 
@@ -24879,12 +24862,6 @@ These exports come from \refto{OrderedSet}():
 ++ Authors:  Holger Gollan, Johannes Grabmeier, Gerhard Schneider
 ++ Date Created: 27 July 1989
 ++ Date Last Updated: 29 March 1990
-++ Basic Operations: cycle, cycles, eval, orbit
-++ Related Constructors: PermutationGroup, PermutationGroupExamples
-++ Also See: RepresentationTheoryPackage1
-++ AMS Classifications:
-++ Keywords: permutation, symmetric group
-++ References:
 ++ Description:
 ++ PermutationCategory provides a categorial environment
 ++ for subgroups of bijections of a set (i.e. permutations)
@@ -25094,8 +25071,15 @@ digraph pic {
 StreamAggregate examples
 ====================================================================
 
+A stream aggregate is a linear aggregate which possibly has an infinite
+number of elements. A basic domain constructor which builds stream
+aggregates is Stream. From streams, a number of infinite structures 
+such power series can be built. A stream aggregate may also be infinite 
+since it may be cyclic. For example, see DecimalExpansion.
+
 See Also:
 o )show StreamAggregate
+o )show DecimalExpansion
 
 \end{chunk}
 {\bf See:}
@@ -25350,12 +25334,6 @@ These exports come from \refto{LinearAggregate}(S:Type):
 ++ Author: Michael Monagan; revised by Manuel Bronstein and Richard Jenks
 ++ Date Created: August 87 through August 88
 ++ Date Last Updated: April 1991
-++ Basic Operations:
-++ Related Constructors:
-++ Also See:
-++ AMS Classifications:
-++ Keywords:
-++ References:
 ++ Description:
 ++ A stream aggregate is a linear aggregate which possibly has an infinite
 ++ number of elements. A basic domain constructor which builds stream
@@ -25595,6 +25573,28 @@ digraph pic {
 TriangularSetCategory examples
 ====================================================================
 
+The category of triangular sets of multivariate polynomials with 
+coefficients in an integral domain.
+
+Let R be an integral domain and V a finite ordered set of variables, 
+    X1 < X2 < ... < Xn
+
+A set S of polynomials in R[X1,X2,...,Xn] is triangular if no elements 
+of S lies in R, and if two distinct elements of S have distinct main 
+variables. 
+
+Note that the empty set is a triangular set. A triangular set is not
+necessarily a (lexicographical) Groebner basis and the notion of 
+reduction related to triangular sets is based on the recursive view
+of polynomials. We recall this notion here. For details see
+   P. AUBRY, D. LAZARD and M. MORENO MAZA "On the Theories
+   of Triangular Sets" Journal of Symbol. Comp. 
+
+A polynomial P is reduced with respect to a non-constant polynomial Q 
+if the degree of P in the main variable of Q is less than the main 
+degree of Q. A polynomial P is reduced with respect to a triangular 
+set T if it is reduced with respect to every polynomial of T. 
+
 See Also:
 o )show TriangularSetCategory
 
@@ -25825,11 +25825,6 @@ V:OrderedSet, P:RecursivePolynomialCategory(R,E,V)):
 ++ Author: Marc Moreno Maza (marc@nag.co.uk)
 ++ Date Created: 04/26/1994
 ++ Date Last Updated: 12/15/1998
-++ Basic Functions:
-++ Related Constructors:
-++ Also See: 
-++ AMS Classifications:
-++ Keywords: polynomial, multivariate, ordered variables set
 ++ References :
 ++  [1] P. AUBRY, D. LAZARD and M. MORENO MAZA "On the Theories
 ++      of Triangular Sets" Journal of Symbol. Comp. (to appear)
@@ -26457,6 +26452,10 @@ digraph pic {
 FiniteDivisorCategory examples
 ====================================================================
 
+This category describes finite rational divisors on a curve, that
+is finite formal sums SUM(n * P) where the n's are integers and the
+P's are finite rational points on the curve.
+
 See Also:
 o )show FiniteDivisorCategory
 
@@ -26533,7 +26532,6 @@ These exports come from \refto{AbelianGroup}():
 ++ Author: Manuel Bronstein
 ++ Date Created: 19 May 1993
 ++ Date Last Updated: 19 May 1993
-++ Keywords: divisor, algebraic, curve.
 ++ Description:
 ++ This category describes finite rational divisors on a curve, that
 ++ is finite formal sums SUM(n * P) where the n's are integers and the
@@ -26716,8 +26714,13 @@ digraph pic {
 FiniteSetAggregate examples
 ====================================================================
 
+A finite-set aggregate models the notion of a finite set, that is,
+a collection of elements characterized by membership, but not
+by order or multiplicity. See Set for an example.
+
 See Also:
 o )show FiniteSetAggregate
+o )show Set
 
 \end{chunk}
 {\bf See:}
@@ -26910,12 +26913,6 @@ These exports come from \refto{SetAggregate}(S:SetCategory):
 ++ Author: Michael Monagan; revised by Manuel Bronstein and Richard Jenks
 ++ Date Created: August 87 through August 88
 ++ Date Last Updated: 14 Oct, 1993 by RSS
-++ Basic Operations:
-++ Related Constructors:
-++ Also See:
-++ AMS Classifications:
-++ Keywords:
-++ References:
 ++ Description:
 ++ A finite-set aggregate models the notion of a finite set, that is,
 ++ a collection of elements characterized by membership, but not
@@ -27123,6 +27120,9 @@ digraph pic {
 KeyedDictionary examples
 ====================================================================
 
+A keyed dictionary is a dictionary of key-entry pairs for which there is
+a unique entry for each key.
+
 See Also:
 o )show KeyedDictionary
 
@@ -27282,12 +27282,6 @@ and S=Record(key: Key,entry: Entry)
 ++ Author: Michael Monagan; revised by Manuel Bronstein and Richard Jenks
 ++ Date Created: August 87 through August 88
 ++ Date Last Updated: April 1991
-++ Basic Operations:
-++ Related Constructors:
-++ Also See:
-++ AMS Classifications:
-++ Keywords:
-++ References:
 ++ Description:
 ++ A keyed dictionary is a dictionary of key-entry pairs for which there is
 ++ a unique entry for each key.
@@ -27484,6 +27478,12 @@ digraph pic {
 LazyStreamAggregate examples
 ====================================================================
 
+LazyStreamAggregate is the category of streams with lazy
+evaluation.  It is understood that the function 'empty?' will
+cause lazy evaluation if necessary to determine if there are
+entries.  Functions which call 'empty?', e.g. 'first' and 'rest',
+will also cause lazy evaluation if necessary.
+
 See Also:
 o )show LazyStreamAggregate
 
@@ -27737,11 +27737,9 @@ These exports come from \refto{StreamAggregate}(S:Type):
 
 \begin{chunk}{category LZSTAGG LazyStreamAggregate}
 )abbrev category LZSTAGG LazyStreamAggregate
-++ Category of streams with lazy evaluation
 ++ Author: Clifton J. Williamson
 ++ Date Created: 22 November 1989
 ++ Date Last Updated: 20 July 1990
-++ Keywords: stream, infinite list, infinite sequence
 ++ Description:
 ++ LazyStreamAggregate is the category of streams with lazy
 ++ evaluation.  It is understood that the function 'empty?' will
@@ -28347,6 +28345,10 @@ digraph pic {
 LeftModule examples
 ====================================================================
 
+The category of left modules over an rng (ring not necessarily with unit).
+This is an abelian group which supports left multiplation by elements of
+the rng.
+
 See Also:
 o )show LeftModule
 
@@ -28402,15 +28404,6 @@ These exports come from \refto{AbelianGroup}():
 
 \begin{chunk}{category LMODULE LeftModule}
 )abbrev category LMODULE LeftModule
-++ Author:
-++ Date Created:
-++ Date Last Updated:
-++ Basic Functions:
-++ Related Constructors:
-++ Also See:
-++ AMS Classifications:
-++ Keywords:
-++ References:
 ++ Description:
 ++ The category of left modules over an rng (ring not necessarily with unit).
 ++ This is an abelian group which supports left multiplation by elements of
@@ -28611,6 +28604,10 @@ digraph pic {
 ListAggregate examples
 ====================================================================
 
+A list aggregate is a model for a linked list data structure. A linked 
+list is a versatile data structure. Insertion and deletion are efficient 
+and searching is a linear operation.
+
 See Also:
 o )show ListAggregate
 
@@ -28919,12 +28916,6 @@ These exports come from \refto{ExtensibleLinearAggregate}(S:Type):
 ++ Author: Michael Monagan; revised by Manuel Bronstein and Richard Jenks
 ++ Date Created: August 87 through August 88
 ++ Date Last Updated: April 1991
-++ Basic Operations:
-++ Related Constructors:
-++ Also See:
-++ AMS Classifications:
-++ Keywords:
-++ References:
 ++ Description:
 ++ A list aggregate is a model for a linked list data structure.
 ++ A linked list is a versatile
@@ -29267,6 +29258,9 @@ digraph pic {
 MultisetAggregate examples
 ====================================================================
 
+A multi-set aggregate is a set which keeps track of the multiplicity
+of its elements.
+
 See Also:
 o )show MultisetAggregate
 
@@ -29428,12 +29422,6 @@ These exports come from \refto{SetAggregate}(S:SetCategory):
 ++ Author: Michael Monagan; revised by Manuel Bronstein and Richard Jenks
 ++ Date Created: August 87 through August 88
 ++ Date Last Updated: April 1991
-++ Basic Operations:
-++ Related Constructors:
-++ Also See:
-++ AMS Classifications:
-++ Keywords:
-++ References:
 ++ Description:
 ++ A multi-set aggregate is a set which keeps track of the multiplicity
 ++ of its elements.
@@ -29527,6 +29515,16 @@ digraph pic {
 NonAssociativeRng examples
 ====================================================================
 
+NonAssociativeRng is a basic ring-type structure, not necessarily
+commutative or associative, and not necessarily with unit.
+
+Axioms:
+         x*(y+z) = x*y + x*z
+         (x+y)*z = x*z + y*z
+
+Common Additional Axioms
+         noZeroDivisors     ab = 0 => a=0 or b=0
+
 See Also:
 o )show NonAssociativeRng
 
@@ -29601,11 +29599,6 @@ These exports come from \refto{Monad}():
 ++ Author: J. Grabmeier, R. Wisbauer
 ++ Date Created: 01 March 1991
 ++ Date Last Updated: 03 July 1991
-++ Basic Operations: +, *, -, **
-++ Related Constructors: Rng, Ring, NonAssociativeRing
-++ Also See:
-++ AMS Classifications:
-++ Keywords: not associative ring
 ++ Reference:
 ++  R.D. Schafer: An Introduction to Nonassociative Algebras
 ++  Academic Press, New York, 1966
@@ -29784,8 +29777,24 @@ digraph pic {
 OneDimensionalArrayAggregate examples
 ====================================================================
 
+One-dimensional-array aggregates serves as models for one-dimensional 
+arrays. Categorically, these aggregates are finite linear aggregates
+with the shallowlyMutable property, that is, any component of the array 
+may be changed without affecting the identity of the overall array.
+Array data structures are typically represented by a fixed area in 
+storage and cannot efficiently grow or shrink on demand as can list 
+structures (see however FlexibleArray for a data structure 
+which is a cross between a list and an array).
+
+Iteration over, and access to, elements of arrays is extremely fast
+(and often can be optimized to open-code).
+
+Insertion and deletion however is generally slow since an entirely new
+data structure must be created for the result.
+
 See Also:
 o )show OneDimensionalArrayAggregate
+o )show FlexibleArray
 
 \end{chunk}
 {\bf See:}
@@ -30323,6 +30332,9 @@ digraph pic {
 OrderedCancellationAbelianMonoid examples
 ====================================================================
 
+Ordered sets which are also abelian cancellation monoids, such that 
+the addition preserves the ordering.
+
 See Also:
 o )show OrderedCancellationAbelianMonoid
 
@@ -30384,15 +30396,6 @@ These exports come from \refto{CancellationAbelianMonoid}():
 
 \begin{chunk}{category OCAMON OrderedCancellationAbelianMonoid}
 )abbrev category OCAMON OrderedCancellationAbelianMonoid
-++ Author:
-++ Date Created:
-++ Date Last Updated:
-++ Basic Functions:
-++ Related Constructors:
-++ Also See:
-++ AMS Classifications:
-++ Keywords:
-++ References:
 ++ Description:
 ++ Ordered sets which are also abelian cancellation monoids, 
 ++ such that the addition preserves the ordering.
@@ -30572,6 +30575,47 @@ digraph pic {
 RegularTriangularSetCategory examples
 ====================================================================
 
+The category of regular triangular sets was introduced under the name 
+regular chains in M. KALKBRENER "Three contributions to elimination theory".
+
+In P. AUBRY, D. LAZARD and M. MORENO MAZA "On the Theories of Triangular Sets" it is proved that regular triangular sets and towers of simple
+extensions of a field are equivalent notions.
+
+In the following definitions, all polynomials and ideals are taken from 
+the polynomial ring k[x1,...,xn] where k is the fraction field of R.
+
+The triangular set [t1,...,tm] is regular iff for every i the initial 
+of ti+1 is invertible in the tower of simple extensions associated 
+with [t1,...,ti].
+
+A family [T1,...,Ts] of regular triangular sets is a split of 
+Kalkbrener of a given ideal I iff the radical of I is equal to the 
+intersection of the radical ideals generated by the saturated ideals 
+of the [T1,...,Ti].
+
+A family [T1,...,Ts] of regular triangular sets is a split of Kalkbrener 
+of a given triangular set T iff it is a split of Kalkbrener of the 
+saturated ideal of T. Let K be an algebraic closure of k.
+
+Assume that V is finite with cardinality n and let A be the affine 
+space K^n.
+
+For a regular triangular set T let denote by W(T) the set of regular 
+zeros of T. A family [T1,...,Ts] of regular triangular sets  is a split 
+of Lazard of a given subset S of A iff the union of the W(Ti) contains 
+S and is contained in the closure of S (w.r.t. Zariski topology).
+
+A family [T1,...,Ts] of regular triangular sets is a split of Lazard 
+of a given triangular set T if it is a split of Lazard of W(T).
+Note that if [T1,...,Ts] is a split of Lazard of T then it is also a 
+split of Kalkbrener of T. The converse is false. 
+
+This category provides operations related to both kinds of splits, the 
+former being related to ideals decomposition whereas the latter deals 
+with varieties decomposition. See the example illustrating the 
+RegularTriangularSet constructor for more explanations about 
+decompositions by means of regular triangular sets. 
+
 See Also:
 o )show RegularTriangularSetCategory
 
@@ -30838,11 +30882,6 @@ P:RecursivePolynomialCategory(R,E,V)):
 ++ Author: Marc Moreno Maza
 ++ Date Created: 09/03/1998
 ++ Date Last Updated: 12/15/1998
-++ Basic Functions:
-++ Related Constructors:
-++ Also See: essai Graphisme
-++ AMS Classifications:
-++ Keywords: polynomial, multivariate, ordered variables set
 ++ References :
 ++  [1] M. KALKBRENER "Three contributions to elimination theory"
 ++      Phd Thesis, University of Linz, Austria, 1991.
@@ -31273,6 +31312,15 @@ digraph pic {
 RightModule examples
 ====================================================================
 
+The category of right modules over an rng (ring not necessarily with unit). 
+This is an abelian group which supports right multiplication by elements 
+of the rng.
+
+Axioms:
+           x*(a*b) = (x*a)*b 
+           x*(a+b) = (x*a)+(x*b) 
+           (x+y)*x = (x*a)+(y*a) 
+
 See Also:
 o )show RightModule
 
@@ -31326,15 +31374,6 @@ These exports come from \refto{AbelianGroup}():
 
 \begin{chunk}{category RMODULE RightModule}
 )abbrev category RMODULE RightModule
-++ Author:
-++ Date Created:
-++ Date Last Updated:
-++ Basic Functions:
-++ Related Constructors:
-++ Also See:
-++ AMS Classifications:
-++ Keywords:
-++ References:
 ++ Description:
 ++ The category of right modules over an rng (ring not necessarily 
 ++ with unit). This is an abelian group which supports right 
@@ -31431,6 +31470,17 @@ Rng is a Ring that does not necessarily have a unit.
 Rng examples
 ====================================================================
 
+The category of associative rings, not necessarily commutative, and not
+necessarily with a 1. This is a combination of an abelian group
+and a semigroup, with multiplication distributing over addition.
+
+Axioms:
+          x*(y+z) = x*y + x*z
+          (x+y)*z = x*z + y*z 
+
+Conditional attributes:
+          noZeroDivisors    ab = 0 => a=0 or b=0
+
 See Also:
 o )show Rng
 
@@ -31490,15 +31540,6 @@ These exports come from \refto{SemiGroup}():
 
 \begin{chunk}{category RNG Rng}
 )abbrev category RNG Rng
-++ Author:
-++ Date Created:
-++ Date Last Updated:
-++ Basic Functions:
-++ Related Constructors:
-++ Also See:
-++ AMS Classifications:
-++ Keywords:
-++ References:
 ++ Description:
 ++ The category of associative rings, not necessarily commutative, and not
 ++ necessarily with a 1. This is a combination of an abelian group
@@ -31602,6 +31643,12 @@ digraph pic {
 BiModule examples
 ====================================================================
 
+A BiModule is both a left and right module with respect to potentially 
+different rings.
+
+Axiom:
+        r*(x*s) = (r*x)*s
+
 See Also:
 o )show BiModule
 
@@ -31675,15 +31722,6 @@ These exports come from \refto{RightModule}(S:Ring):
 
 \begin{chunk}{category BMODULE BiModule}
 )abbrev category BMODULE BiModule
-++ Author:
-++ Date Created:
-++ Date Last Updated:
-++ Basic Functions:
-++ Related Constructors:
-++ Also See:
-++ AMS Classifications:
-++ Keywords:
-++ References:
 ++ Description:
 ++ A \spadtype{BiModule} is both a left and right module with respect
 ++ to potentially different rings.
@@ -31861,6 +31899,9 @@ digraph pic {
 BitAggregate examples
 ====================================================================
 
+The bit aggregate category models aggregates representing large
+quantities of Boolean data.
+
 See Also:
 o )show BitAggregate
 
@@ -32105,12 +32146,6 @@ These exports come from \refto{OneDimensionalArrayAggregate}(Boolean):
 ++ Author: Michael Monagan; revised by Manuel Bronstein and Richard Jenks
 ++ Date Created: August 87 through August 88
 ++ Date Last Updated: April 1991
-++ Basic Operations:
-++ Related Constructors:
-++ Also See:
-++ AMS Classifications:
-++ Keywords:
-++ References:
 ++ Description:
 ++ The bit aggregate category models aggregates representing large
 ++ quantities of Boolean data.
@@ -32269,6 +32304,9 @@ digraph pic {
 NonAssociativeRing examples
 ====================================================================
 
+A NonAssociativeRing is a non associative rng which has a unit,
+the multiplication is not necessarily commutative or associative.
+
 See Also:
 o )show NonAssociativeRing
 
@@ -32361,11 +32399,6 @@ These exports come from \refto{MonadWithUnit}():
 ++ Author: J. Grabmeier, R. Wisbauer
 ++ Date Created: 01 March 1991
 ++ Date Last Updated: 11 June 1991
-++ Basic Operations: +, *, -, **
-++ Related Constructors: NonAssociativeRng, Rng, Ring
-++ Also See:
-++ AMS Classifications:
-++ Keywords: non-associative ring with unit
 ++ Reference:
 ++  R.D. Schafer: An Introduction to Nonassociative Algebras
 ++  Academic Press, New York, 1966
@@ -32565,6 +32598,15 @@ digraph pic {
 NormalizedTriangularSetCategory examples
 ====================================================================
 
+The category of normalized triangular sets. A triangular set ts is said 
+normalized if for every algebraic variable v of ts the polynomial 
+select(ts,v) is normalized w.r.t. every polynomial in collectUnder(ts,v).
+
+A polynomial p is said normalized w.r.t. a non-constant polynomial q 
+if p is constant or degree(p,mdeg(q)) = 0 and init(p) is normalized 
+w.r.t. q. One of the important features of normalized triangular sets 
+is that they are regular sets.
+
 See Also:
 o )show NormalizedTriangularSetCategory
 
@@ -32824,11 +32866,6 @@ P:RecursivePolynomialCategory(R,E,V)):
 ++ Author: Marc Moreno Maza
 ++ Date Created: 10/07/1998
 ++ Date Last Updated: 12/12/1998
-++ Basic Functions:
-++ Related Constructors:
-++ Also See: essai Graphisme
-++ AMS Classifications:
-++ Keywords: polynomial, multivariate, ordered variables set
 ++ References :
 ++  [1] D. LAZARD "A new method for solving algebraic systems of 
 ++      positive dimension" Discr. App. Math. 33:147-160,1991
@@ -32960,6 +32997,9 @@ digraph pic {
 OrderedAbelianGroup examples
 ====================================================================
 
+Ordered sets which are also abelian groups, such that the 
+addition preserves the ordering.
+
 See Also:
 o )show OrderedAbelianGroup
 
@@ -33025,15 +33065,6 @@ These exports come from \refto{AbelianGroup}():
 
 \begin{chunk}{category OAGROUP OrderedAbelianGroup}
 )abbrev category OAGROUP OrderedAbelianGroup
-++ Author:
-++ Date Created:
-++ Date Last Updated:
-++ Basic Functions:
-++ Related Constructors:
-++ Also See:
-++ AMS Classifications:
-++ Keywords:
-++ References:
 ++ Description:
 ++ Ordered sets which are also abelian groups, such that the 
 ++ addition preserves the ordering.
@@ -33122,6 +33153,16 @@ digraph pic {
 OrderedAbelianMonoidSup examples
 ====================================================================
 
+This domain is an OrderedAbelianMonoid with a sup operation added. 
+The purpose of the sup operator in this domain is to act as a 
+supremum with respect to the partial order imposed by `-`, rather 
+than with respect to the total > order (since that is "max").
+
+Axioms:
+         sup(a,b)-a ~= "failed"
+         sup(a,b)-b ~= "failed"
+         x-a ~= "failed" and x-b ~= "failed" => x >= sup(a,b)
+
 See Also:
 o )show OrderedAbelianMonoidSup
 
@@ -33184,15 +33225,6 @@ These exports come from \refto{OrderedCancellationAbelianMonoid}():
 
 \begin{chunk}{category OAMONS OrderedAbelianMonoidSup}
 )abbrev category OAMONS OrderedAbelianMonoidSup
-++ Author:
-++ Date Created:
-++ Date Last Updated:
-++ Basic Functions:
-++ Related Constructors:
-++ Also See:
-++ AMS Classifications:
-++ Keywords:
-++ References:
 ++ Description:
 ++ This domain is an OrderedAbelianMonoid with a sup 
 ++ operation added. The purpose of the sup operator 
@@ -33339,6 +33371,10 @@ digraph pic {
 OrderedMultisetAggregate examples
 ====================================================================
 
+An ordered-multiset aggregate is a multiset built over an ordered set S
+so that the relative sizes of its entries can be assessed.
+These aggregates serve as models for priority queues.
+
 See Also:
 o )show OrderedMultisetAggregate
 
@@ -33518,12 +33554,6 @@ These exports come from \refto{PriorityQueueAggregate}(S:OrderedSet):
 ++ Author: Michael Monagan; revised by Manuel Bronstein and Richard Jenks
 ++ Date Created: August 87 through August 88
 ++ Date Last Updated: April 1991
-++ Basic Operations:
-++ Related Constructors:
-++ Also See:
-++ AMS Classifications:
-++ Keywords:
-++ References:
 ++ Description:
 ++ An ordered-multiset aggregate is a multiset built over an ordered set S
 ++ so that the relative sizes of its entries can be assessed.
@@ -33640,6 +33670,9 @@ digraph pic {
 Ring examples
 ====================================================================
 
+The category of rings with unity, always associative, but not 
+necessarily commutative.
+
 See Also:
 o )show Ring
 
@@ -33742,15 +33775,6 @@ These exports come from \refto{Monoid}():
 
 \begin{chunk}{category RING Ring}
 )abbrev category RING Ring
-++ Author:
-++ Date Created:
-++ Date Last Updated:
-++ Basic Functions:
-++ Related Constructors:
-++ Also See:
-++ AMS Classifications:
-++ Keywords:
-++ References:
 ++ Description:
 ++ The category of rings with unity, always associative, but
 ++ not necessarily commutative.
@@ -33954,6 +33978,12 @@ digraph pic {
 SquareFreeRegularTriangularSetCategory examples
 ====================================================================
 
+The category of square-free regular triangular sets. A regular 
+triangular set ts is square-free if the gcd of any polynomial p in ts 
+and differentiate(p,mvar(p)) w.r.t. collectUnder(ts,mvar(p))
+has degree zero w.r.t. mvar(p). Thus any square-free regular
+set defines a tower of square-free simple extensions.
+
 See Also:
 o )show SquareFreeRegularTriangularSetCategory
 
@@ -34213,11 +34243,6 @@ P:RecursivePolynomialCategory(R,E,V)):
 ++ Author: Marc Moreno Maza
 ++ Date Created: 09/03/1996
 ++ Date Last Updated: 09/10/1998  
-++ Basic Functions:
-++ Related Constructors:
-++ Also See: essai Graphisme
-++ AMS Classifications:
-++ Keywords: polynomial, multivariate, ordered variables set
 ++ References :
 ++  [1] D. LAZARD "A new method for solving algebraic systems of 
 ++      positive dimension" Discr. App. Math. 33:147-160,1991
@@ -34423,6 +34448,9 @@ digraph pic {
 StringAggregate examples
 ====================================================================
 
+A string aggregate is a category for strings, that is, one dimensional 
+arrays of characters.
+
 See Also:
 o )show StringAggregate
 
@@ -34691,12 +34719,6 @@ These exports come from \refto{OneDimensionalArrayAggregate}(Character):
 ++ revised by Manuel Bronstein and Richard Jenks
 ++ Date Created: August 87 through August 88
 ++ Date Last Updated: April 1991
-++ Basic Operations:
-++ Related Constructors:
-++ Also See:
-++ AMS Classifications:
-++ Keywords:
-++ References:
 ++ Description:
 ++ A string aggregate is a category for strings, that is,
 ++ one dimensional arrays of characters.
@@ -34941,6 +34963,9 @@ digraph pic {
 TableAggregate examples
 ====================================================================
 
+A table aggregate is a model of a table, i.e. a discrete many-to-one
+mapping from keys to entries.
+
 See Also:
 o )show TableAggregate
 
@@ -35197,12 +35222,6 @@ and RecKE=Record(key: Key,entry: Entry):
 ++ revised by Manuel Bronstein and Richard Jenks
 ++ Date Created: August 87 through August 88
 ++ Date Last Updated: April 1991
-++ Basic Operations:
-++ Related Constructors:
-++ Also See:
-++ AMS Classifications:
-++ Keywords:
-++ References:
 ++ Description:
 ++ A table aggregate is a model of a table, i.e. a discrete many-to-one
 ++ mapping from keys to entries.
@@ -35505,6 +35524,13 @@ digraph pic {
 VectorCategory examples
 ====================================================================
 
+VectorCategory represents the type of vector like objects,
+i.e. finite sequences indexed by some finite segment of the
+integers. The operations available on vectors depend on the structure
+of the underlying components. Many operations from the component domain
+are defined for vectors componentwise. It can by assumed that extraction or
+updating components can be done in constant time.
+
 See Also:
 o )show VectorCategory
 
@@ -35706,15 +35732,6 @@ These exports come from \refto{OneDimensionalArrayAggregate}(R:Type):
 
 \begin{chunk}{category VECTCAT VectorCategory}
 )abbrev category VECTCAT VectorCategory
-++ Author:
-++ Date Created:
-++ Date Last Updated:
-++ Basic Functions:
-++ Related Constructors: DirectProductCategory, Vector, IndexedVector
-++ Also See:
-++ AMS Classifications:
-++ Keywords:
-++ References:
 ++ Description:
 ++ \spadtype{VectorCategory} represents the type of vector like objects,
 ++ i.e. finite sequences indexed by some finite segment of the
@@ -36059,6 +36076,10 @@ digraph pic {
 AssociationListAggregate examples
 ====================================================================
 
+An association list is a list of key entry pairs which may be viewed
+as a table. It is a poor mans version of a table; searching for a key 
+is a linear operation.
+
 See Also:
 o )show AssociationListAggregate
 
@@ -36501,12 +36522,6 @@ and RecKE=Record(key: Key,entry: Entry)
 ++ Author: Michael Monagan; revised by Manuel Bronstein and Richard Jenks
 ++ Date Created: August 87 through August 88
 ++ Date Last Updated: April 1991
-++ Basic Operations:
-++ Related Constructors:
-++ Also See:
-++ AMS Classifications:
-++ Keywords:
-++ References:
 ++ Description:
 ++ An association list is a list of key entry pairs which may be viewed
 ++ as a table.        It is a poor mans version of a table:
@@ -36622,6 +36637,8 @@ digraph pic {
 CharacteristicNonZero examples
 ====================================================================
 
+The category of Rings of Characteristic Non Zero
+
 See Also:
 o )show CharacteristicNonZero
 
@@ -36703,15 +36720,6 @@ These exports come from \refto{Ring}():
 
 \begin{chunk}{category CHARNZ CharacteristicNonZero}
 )abbrev category CHARNZ CharacteristicNonZero
-++ Author:
-++ Date Created:
-++ Date Last Updated:
-++ Basic Functions:
-++ Related Constructors:
-++ Also See:
-++ AMS Classifications:
-++ Keywords:
-++ References:
 ++ Description:
 ++ Rings of Characteristic Non Zero
 
@@ -36821,6 +36829,8 @@ digraph pic {
 CharacteristicZero examples
 ====================================================================
 
+The category of Rings of Characteristic Zero.
+
 See Also:
 o )show CharacteristicZero
 
@@ -36899,15 +36909,6 @@ These exports come from \refto{Ring}():
 
 \begin{chunk}{category CHARZ CharacteristicZero}
 )abbrev category CHARZ CharacteristicZero
-++ Author:
-++ Date Created:
-++ Date Last Updated:
-++ Basic Functions:
-++ Related Constructors:
-++ Also See:
-++ AMS Classifications:
-++ Keywords:
-++ References:
 ++ Description:
 ++ Rings of Characteristic Zero.
 
@@ -37014,6 +37015,9 @@ digraph pic {
 CommutativeRing examples
 ====================================================================
 
+The category of commutative rings with unity, i.e. rings where * is
+commutative, and which have a multiplicative identity element.
+
 See Also:
 o )show CommutativeRing
 
@@ -37102,15 +37106,6 @@ These exports come from \refto{Ring}():
 
 \begin{chunk}{category COMRING CommutativeRing}
 )abbrev category COMRING CommutativeRing
-++ Author:
-++ Date Created:
-++ Date Last Updated:
-++ Basic Functions:
-++ Related Constructors:
-++ Also See:
-++ AMS Classifications:
-++ Keywords:
-++ References:
 ++ Description:
 ++ The category of commutative rings with unity, i.e. rings where
 ++ \spadop{*} is commutative, and which have a multiplicative identity
@@ -37237,6 +37232,13 @@ digraph pic {
 DifferentialRing examples
 ====================================================================
 
+An ordinary differential ring, that is, a ring with an operation
+differentiate.
+
+Axioms:
+        differentiate(x+y) = differentiate(x)+differentiate(y)
+        differentiate(x*y) = x*differentiate(y) + differentiate(x)*y
+
 See Also:
 o )show DifferentialRing
 
@@ -37325,15 +37327,6 @@ These exports come from \refto{Ring}():
 
 \begin{chunk}{category DIFRING DifferentialRing}
 )abbrev category DIFRING DifferentialRing
-++ Author:
-++ Date Created:
-++ Date Last Updated:
-++ Basic Functions:
-++ Related Constructors:
-++ Also See:
-++ AMS Classifications:
-++ Keywords:
-++ References:
 ++ Description:
 ++ An ordinary differential ring, that is, a ring with an operation
 ++ \spadfun{differentiate}.
@@ -37463,6 +37456,13 @@ digraph pic {
 EntireRing examples
 ====================================================================
 
+Entire Rings (non-commutative Integral Domains), i.e. a ring
+not necessarily commutative which has no zero divisors.
+
+Axioms:
+        ab=0 => a=0 or b=0  -- known as noZeroDivisors
+        not(1=0)
+
 See Also:
 o )show EntireRing
 
@@ -37543,15 +37543,6 @@ These exports come from \refto{Ring}():
 
 \begin{chunk}{category ENTIRER EntireRing}
 )abbrev category ENTIRER EntireRing
-++ Author:
-++ Date Created:
-++ Date Last Updated:
-++ Basic Functions:
-++ Related Constructors:
-++ Also See:
-++ AMS Classifications:
-++ Keywords:
-++ References:
 ++ Description:
 ++ Entire Rings (non-commutative Integral Domains), i.e. a ring
 ++ not necessarily commutative which has no zero divisors.
@@ -37680,8 +37671,16 @@ digraph pic {
 FreeModuleCat examples
 ====================================================================
 
+A domain of this category implements formal linear combinations
+of elements from a domain Basis with coefficients in a domain R. 
+The domain Basis needs only to belong to the category SetCategory 
+and R to the category Ring. Thus the coefficient ring may be 
+non-commutative. See the XDistributedPolynomial constructor for
+examples of domains built with the FreeModuleCat category constructor.
+
 See Also:
 o )show FreeModuleCat
+o )show XDistributedPolynomial
 
 \end{chunk}
 {\bf See:}
@@ -37780,12 +37779,6 @@ These exports come from \refto{RetractableTo}(Basis:SetCategory):
 ++ Date Created: 91
 ++ Date Last Updated: 7 Juillet 92
 ++ Fix History: compilation v 2.1 le 13 dec 98
-++ Basic Functions:
-++ Related Constructors:
-++ Also See:
-++ AMS Classifications:
-++ Keywords:
-++ References:
 ++ Description:
 ++ A domain of this category 
 ++ implements formal linear combinations
@@ -37946,6 +37939,8 @@ digraph pic {
 LeftAlgebra examples
 ====================================================================
 
+The category of all left algebras over an arbitrary ring.
+
 See Also:
 o )show LeftAlgebra
 
@@ -38137,6 +38132,8 @@ digraph pic {
 LinearlyExplicitRingOver examples
 ====================================================================
 
+An extension ring with an explicit linear dependence test.
+
 See Also:
 o )show LinearlyExplicitRingOver
 
@@ -38218,15 +38215,6 @@ These exports come from \refto{Ring}():
 
 \begin{chunk}{category LINEXP LinearlyExplicitRingOver}
 )abbrev category LINEXP LinearlyExplicitRingOver
-++ Author:
-++ Date Created:
-++ Date Last Updated:
-++ Basic Functions:
-++ Related Constructors:
-++ Also See:
-++ AMS Classifications:
-++ Keywords:
-++ References:
 ++ Description:
 ++ An extension ring with an explicit linear dependence test.
 
@@ -38344,6 +38332,14 @@ digraph pic {
 Module examples
 ====================================================================
 
+The category of modules over a commutative ring.
+
+Axioms:
+         1*x = x
+         (a*b)*x = a*(b*x)
+         (a+b)*x = (a*x)+(b*x)
+         a*(x+y) = (a*x)+(a*y)
+
 See Also:
 o )show Module
 
@@ -38410,15 +38406,6 @@ These exports come from \refto{BiModule}(a:Ring,b:Ring):
 
 \begin{chunk}{category MODULE Module}
 )abbrev category MODULE Module
-++ Author:
-++ Date Created:
-++ Date Last Updated:
-++ Basic Functions:
-++ Related Constructors:
-++ Also See:
-++ AMS Classifications:
-++ Keywords:
-++ References:
 ++ Description:
 ++ The category of modules over a commutative ring.
 ++
@@ -38534,6 +38521,12 @@ digraph pic {
 OrderedRing examples
 ====================================================================
 
+Ordered sets which are also rings, that is, domains where the ring
+operations are compatible with the ordering.
+
+Axiom:
+        0<a and b<c => ab < ac
+
 See Also:
 o )show OrderedRing
 
@@ -38639,15 +38632,6 @@ These exports come from \refto{Ring}():
 
 \begin{chunk}{category ORDRING OrderedRing}
 )abbrev category ORDRING OrderedRing
-++ Author:
-++ Date Created:
-++ Date Last Updated:
-++ Basic Functions:
-++ Related Constructors:
-++ Also See:
-++ AMS Classifications:
-++ Keywords:
-++ References:
 ++ Description:
 ++ Ordered sets which are also rings, that is, domains where the ring
 ++ operations are compatible with the ordering.
@@ -38793,6 +38777,13 @@ digraph pic {
 PartialDifferentialRing examples
 ====================================================================
 
+A partial differential ring with differentiations indexed by a 
+parameter type S.
+
+Axioms:
+        differentiate(x+y,e)=differentiate(x,e)+differentiate(y,e)
+        differentiate(x*y,e)=x*differentiate(y,e)+differentiate(x,e)*y
+
 See Also:
 o )show PartialDifferentialRing
 
@@ -38886,15 +38877,6 @@ These exports come from \refto{Ring}():
 
 \begin{chunk}{category PDRING PartialDifferentialRing}
 )abbrev category PDRING PartialDifferentialRing
-++ Author:
-++ Date Created:
-++ Date Last Updated:
-++ Basic Functions:
-++ Related Constructors:
-++ Also See:
-++ AMS Classifications:
-++ Keywords:
-++ References:
 ++ Description:
 ++ A partial differential ring with differentiations indexed by a 
 ++ parameter type S.
@@ -39130,6 +39112,10 @@ digraph pic {
 PointCategory examples
 ====================================================================
 
+PointCategory is the category of points in space which may be plotted 
+via the graphics facilities.  Functions are provided for defining 
+points and handling elements of points.
+
 See Also:
 o )show PointCategory
 
@@ -39338,16 +39324,6 @@ These exports come from \refto{VectorCategory}(R:Ring):
 
 \begin{chunk}{category PTCAT PointCategory}
 )abbrev category PTCAT PointCategory
-++ Author:
-++ Date Created:
-++ Date Last Updated:
-++ Basic Operations: point, elt, setelt, copy, dimension, minIndex, maxIndex,
-++ convert
-++ Related Constructors:
-++ Also See:
-++ AMS Classifications:
-++ Keywords: 
-++ References:
 ++ Description:
 ++ PointCategory is the category of points in space which
 ++ may be plotted via the graphics facilities.  Functions are provided for
@@ -39505,6 +39481,10 @@ The RectangularMatrix domain is matrices of fixed dimension.
 RectangularMatrixCategory examples
 ====================================================================
 
+RectangularMatrixCategory is a category of matrices of fixed dimensions. 
+The dimensions of the matrix will be parameters of the domain. 
+Domains in this category will be R-modules and will be non-mutable.
+
 See Also:
 o )show RectangularMatrixCategory
 
@@ -39668,13 +39648,6 @@ These exports come from \refto{HomogeneousAggregate}(Ring)"
 ++ Authors: Grabmeier, Gschnitzer, Williamson
 ++ Date Created: 1987
 ++ Date Last Updated: July 1990
-++ Basic Operations:
-++ Related Domains: RectangularMatrix(m,n,R)
-++ Also See:
-++ AMS Classifications:
-++ Keywords:
-++ Examples:
-++ References:
 ++ Description:
 ++ \spadtype{RectangularMatrixCategory} is a category of matrices of fixed
 ++ dimensions. The dimensions of the matrix will be parameters of the
@@ -40003,6 +39976,11 @@ digraph pic {
 SquareFreeNormalizedTriangularSetCategory examples
 ====================================================================
 
+The category of square-free and normalized triangular sets.
+Thus, up to the primitivity axiom of D. LAZARD 
+"A new method for solving algebraic systems of positive dimension",
+these sets are Lazard triangular sets.
+
 See Also:
 o )show SquareFreeNormalizedTriangularSetCategory
 
@@ -40262,11 +40240,6 @@ P:RecursivePolynomialCategory(R,E,V)):
 ++ Author: Marc Moreno Maza
 ++ Date Created: 10/07/1998
 ++ Date Last Updated: 12/16/1998
-++ Basic Functions:
-++ Related Constructors:
-++ Also See: essai Graphisme
-++ AMS Classifications:
-++ Keywords: polynomial, multivariate, ordered variables set
 ++ References :
 ++ [1] D. LAZARD "A new method for solving algebraic systems of 
 ++ positive dimension" Discr. App. Math. 33:147-160,1991
@@ -40446,6 +40419,8 @@ digraph pic {
 StringCategory examples
 ====================================================================
 
+A category for string-like objects
+
 See Also:
 o )show StringCategory
 
@@ -40725,8 +40700,6 @@ These exports come from \refto{OpenMath}():
 
 \begin{chunk}{category STRICAT StringCategory}
 )abbrev category STRICAT StringCategory
--- Note that StringCategory is built into the old compiler
--- redundant SetCategory added to help A# compiler
 ++ Description:
 ++ A category for string-like objects
 
@@ -40869,6 +40842,12 @@ digraph pic {
 UnivariateSkewPolynomialCategory examples
 ====================================================================
 
+This is the category of univariate skew polynomials over an Ore 
+coefficient ring. The multiplication is given by 
+     x a = \sigma(a) x + \delta a
+This category is an evolution of the types MonogenicLinearOperator, 
+OppositeMonogenicLinearOperator, and NonCommutativeOperatorDivision
+
 See Also:
 o )show UnivariateSkewPolynomialCategory
 
@@ -41414,6 +41393,10 @@ digraph pic {
 XAlgebra examples
 ====================================================================
 
+This is the category of algebras over non-commutative rings.
+It is used by constructors of non-commutative algebras such as
+XPolynomialRing and XFreeAlgebra
+
 See Also:
 o )show XAlgebra
 
@@ -41508,12 +41491,6 @@ These exports come from \refto{BiModule}(R:Ring,R:Ring):
 ++ Date Created: 91
 ++ Date Last Updated: 7 Juillet 92
 ++ Fix History: compilation v 2.1 le 13 dec 98
-++ Basic Functions:
-++ Related Constructors:
-++ Also See:
-++ AMS Classifications:
-++ Keywords:
-++ References:
 ++ Description:
 ++ This is the category of algebras over non-commutative rings.
 ++ It is used by constructors of non-commutative algebras such as
@@ -41639,6 +41616,15 @@ digraph pic {
 Algebra examples
 ====================================================================
 
+The category of associative algebras (modules which are themselves rings).
+
+Axioms:
+         (b+c)::% = (b::%) + (c::%)
+         (b*c)::% = (b::%) * (c::%)
+         (1::R)::% = 1::%
+         b*x = (b::%)*x
+         r*(a*b) = (r*a)*b = a*(r*b)
+
 See Also:
 o )show Algebra
 
@@ -41735,15 +41721,6 @@ These exports come from \refto{Module}(R:CommutativeRing):
 
 \begin{chunk}{category ALGEBRA Algebra}
 )abbrev category ALGEBRA Algebra
-++ Author:
-++ Date Created:
-++ Date Last Updated:
-++ Basic Functions:
-++ Related Constructors:
-++ Also See:
-++ AMS Classifications:
-++ Keywords:
-++ References:
 ++ Description:
 ++ The category of associative algebras (modules which are themselves rings).
 ++
@@ -41913,6 +41890,9 @@ digraph pic {
 DifferentialExtension examples
 ====================================================================
 
+Differential extensions of a ring R. Given a differentiation on R, 
+extend it to a differentiation on %.
+
 See Also:
 o )show DifferentialExtension
 
@@ -42032,15 +42012,6 @@ These exports come from \refto{PartialDifferentialRing}(Symbol):
 
 \begin{chunk}{category DIFEXT DifferentialExtension}
 )abbrev category DIFEXT DifferentialExtension
-++ Author:
-++ Date Created:
-++ Date Last Updated:
-++ Basic Functions:
-++ Related Constructors:
-++ Also See:
-++ AMS Classifications:
-++ Keywords:
-++ References:
 ++ Description:
 ++ Differential extensions of a ring R.
 ++ Given a differentiation on R, extend it to a differentiation on %.
@@ -42197,6 +42168,10 @@ digraph pic {
 FullyLinearlyExplicitRingOver examples
 ====================================================================
 
+S is FullyLinearlyExplicitRingOver R means that S is a
+LinearlyExplicitRingOver R and, in addition, if R is a
+LinearlyExplicitRingOver Integer, then so is S
+
 See Also:
 o )show FullyLinearlyExplicitRingOver
 
@@ -42289,15 +42264,6 @@ These exports come from \refto{LinearlyExplicitRingOver}(a:Ring):
 
 \begin{chunk}{category FLINEXP FullyLinearlyExplicitRingOver}
 )abbrev category FLINEXP FullyLinearlyExplicitRingOver
-++ Author:
-++ Date Created:
-++ Date Last Updated:
-++ Basic Functions:
-++ Related Constructors:
-++ Also See:
-++ AMS Classifications:
-++ Keywords:
-++ References:
 ++ Description:
 ++ S is \spadtype{FullyLinearlyExplicitRingOver R} means that S is a
 ++ \spadtype{LinearlyExplicitRingOver R} and, in addition, if R is a
@@ -42431,6 +42397,9 @@ digraph pic {
 LieAlgebra examples
 ====================================================================
 
+The category of Lie Algebras. It is used by the domains of non-commutative 
+algebra, LiePolynomial and XPBWPolynomial. 
+
 See Also:
 o )show LieAlgebra
 
@@ -42509,8 +42478,6 @@ These exports come from \refto{Module}(R:Ring):
 ++ Author: Michel Petitot (petitot@lifl.fr).
 ++ Date Created: 91
 ++ Date Last Updated: 7 Juillet 92
-++ Keywords:
-++ References:
 ++ Description:
 ++ The category of Lie Algebras.
 ++ It is used by the domains of non-commutative algebra,
@@ -42665,6 +42632,13 @@ digraph pic {
 LinearOrdinaryDifferentialOperatorCategory examples
 ====================================================================
 
+LinearOrdinaryDifferentialOperatorCategory is the category
+of differential operators with coefficients in a ring A with a given
+derivation.
+
+Multiplication of operators corresponds to functional composition:
+    (L1 * L2).(f) = L1 L2 f
+
 See Also:
 o )show LinearOrdinaryDifferentialOperatorCategory
 
@@ -42844,7 +42818,6 @@ These exports come from \refto{Eltable}(A:Ring,A:Ring):
 ++ Author: Manuel Bronstein
 ++ Date Created: 9 December 1993
 ++ Date Last Updated: 15 April 1994
-++ Keywords: differential operator
 ++ Description:
 ++ LinearOrdinaryDifferentialOperatorCategory is the category
 ++ of differential operators with coefficients in a ring A with a given
@@ -43043,6 +43016,12 @@ digraph pic {
 NonAssociativeAlgebra examples
 ====================================================================
 
+NonAssociativeAlgebra is the category of non associative algebras
+(modules which are themselves non associative rngs).\br
+
+Axiom:
+         r*(a*b) = (r*a)*b = a*(r*b)
+
 See Also:
 o )show NonAssociativeAlgebra
 
@@ -43128,11 +43107,6 @@ These exports come from \refto{Module}(R:CommutativeRing):
 ++ Author: J. Grabmeier, R. Wisbauer
 ++ Date Created: 01 March 1991
 ++ Date Last Updated: 11 June 1991
-++ Basic Operations: +, -, *, **
-++ Related Constructors: Algebra
-++ Also See:
-++ AMS Classifications:
-++ Keywords: nonassociative algebra
 ++ Reference:
 ++ R.D. Schafer: An Introduction to Nonassociative Algebras
 ++ Academic Press, New York, 1966
@@ -43261,6 +43235,8 @@ digraph pic {
 VectorSpace examples
 ====================================================================
 
+Vector Spaces (not necessarily finite dimensional) over a field.
+
 See Also:
 o )show VectorSpace
 
@@ -43331,15 +43307,6 @@ These exports come from \refto{Module}():
 
 \begin{chunk}{category VSPACE VectorSpace}
 )abbrev category VSPACE VectorSpace
-++ Author:
-++ Date Created:
-++ Date Last Updated:
-++ Basic Functions:
-++ Related Constructors:
-++ Also See:
-++ AMS Classifications:
-++ Keywords:
-++ References:
 ++ Description:
 ++ Vector Spaces (not necessarily finite dimensional) over a field.
 
@@ -43470,6 +43437,9 @@ digraph pic {
 XFreeAlgebra examples
 ====================================================================
 
+This category specifies opeations for  polynomials and formal series 
+with non-commutative variables.
+
 See Also:
 o )show XFreeAlgebra
 
@@ -43617,12 +43587,6 @@ where WORD:OrderedFreeMonoid(OrderedSet))
 ++ Date Created: 91
 ++ Date Last Updated: 7 Juillet 92
 ++ Fix History: compilation v 2.1 le 13 dec 98
-++ Basic Functions:
-++ Related Constructors:
-++ Also See:
-++ AMS Classifications:
-++ Keywords:
-++ References:
 ++ Description:
 ++ This category specifies opeations for  polynomials
 ++ and formal series with non-commutative variables.
@@ -43926,6 +43890,9 @@ digraph pic {
 DirectProductCategory examples
 ====================================================================
 
+This category represents a finite cartesian product of a given type.
+Many categorical properties are preserved under this construction.
+
 See Also:
 o )show DirectProductCategory
 
@@ -44252,18 +44219,6 @@ These exports come from \refto{OrderedAbelianMonoidSup}():
 -- all direct product category domains must be compiled
 -- without subsumption, set SourceLevelSubset to EQUAL
 --)bo $noSubsumption := true
- 
---% DirectProductCategory
- 
-++ Author:
-++ Date Created:
-++ Date Last Updated:
-++ Basic Functions:
-++ Related Constructors: DirectProduct
-++ Also See: VectorCategory
-++ AMS Classifications:
-++ Keywords:
-++ References:
 ++ Description:
 ++ This category represents a finite cartesian product of a given type.
 ++ Many categorical properties are preserved under this construction.
@@ -44458,6 +44413,9 @@ digraph pic {
 DivisionRing examples
 ====================================================================
 
+A division ring (sometimes called a skew field), i.e. a not necessarily 
+commutative ring where all non-zero elements have multiplicative inverses.
+
 See Also:
 o )show DivisionRing
 
@@ -44557,15 +44515,6 @@ These exports come from \refto{Algebra}(Fraction(Integer)):
 
 \begin{chunk}{category DIVRING DivisionRing}
 )abbrev category DIVRING DivisionRing
-++ Author:
-++ Date Created:
-++ Date Last Updated:
-++ Basic Functions:
-++ Related Constructors:
-++ Also See:
-++ AMS Classifications:
-++ Keywords:
-++ References:
 ++ Description:
 ++ A division ring (sometimes called a skew field),
 ++ i.e. a not necessarily commutative ring where
@@ -44739,6 +44688,9 @@ digraph pic {
 FiniteRankNonAssociativeAlgebra examples
 ====================================================================
 
+A FiniteRankNonAssociativeAlgebra is a non associative algebra over
+a commutative ring R which is a free R-module of finite rank.
+
 See Also:
 o )show FiniteRankNonAssociativeAlgebra
 
@@ -44921,12 +44873,6 @@ These exports come from \refto{NonAssociativeAlgebra}(R:CommutativeRing):
 ++ Author: J. Grabmeier, R. Wisbauer
 ++ Date Created: 01 March 1991
 ++ Date Last Updated: 12 June 1991
-++ Basic Operations: +,-,*,**, someBasis
-++ Related Constructors: FramedNonAssociativeAlgebra, FramedAlgebra,
-++   FiniteRankAssociativeAlgebra
-++ Also See:
-++ AMS Classifications:
-++ Keywords: nonassociative algebra, basis
 ++ References:
 ++   R.D. Schafer: An Introduction to Nonassociative Algebras
 ++   Academic Press, New York, 1966
@@ -45694,6 +45640,9 @@ digraph pic {
 FreeLieAlgebra examples
 ====================================================================
 
+The category of free Lie algebras. It is used by domains of 
+non-commutative algebra such as LiePolynomial and XPBWPolynomial. 
+
 See Also:
 o )show FreeLieAlgebra
 
@@ -45791,12 +45740,6 @@ These exports come from \refto{LieAlgebra}(CommutativeRing):
 ++ Date Created: 91
 ++ Date Last Updated: 7 Juillet 92
 ++ Fix History: compilation v 2.1 le 13 dec 98
-++ Basic Functions:
-++ Related Constructors:
-++ Also See:
-++ AMS Classifications:
-++ Keywords:
-++ References:
 ++ Description:
 ++ The category of free Lie algebras.
 ++ It is used by domains of non-commutative algebra:
@@ -45954,6 +45897,13 @@ digraph pic {
 IntegralDomain examples
 ====================================================================
 
+The category of commutative integral domains, i.e. commutative
+rings with no zero divisors.
+
+Conditional attributes:
+  canonicalUnitNormal - the canonical field is the same for all associates
+  canonicalsClosed    - the product of two canonicals is itself canonical
+
 See Also:
 o )show IntegralDomain
 
@@ -46080,15 +46030,6 @@ These exports come from \refto{Algebra}(a:IntegralDomain):
 
 \begin{chunk}{category INTDOM IntegralDomain}
 )abbrev category INTDOM IntegralDomain
-++ Author:
-++ Date Created:
-++ Date Last Updated:
-++ Basic Functions:
-++ Related Constructors:
-++ Also See:
-++ AMS Classifications:
-++ Keywords:
-++ References: Davenport & Trager I
 ++ Description:
 ++ The category of commutative integral domains, i.e. commutative
 ++ rings with no zero divisors.
@@ -46243,6 +46184,18 @@ digraph pic {
 MonogenicLinearOperator examples
 ====================================================================
 
+This is the category of linear operator rings with one generator.
+The generator is not named by the category but can always be
+constructed as monomial(1,1).
+
+For convenience, call the generator G.
+Then each value is equal to
+    sum(a(i)*G**i, i = 0..n)
+for some unique n and a(i) in R.
+
+Note that multiplication is not necessarily commutative.
+In fact, if a is in R, it is quite normal to have a*G ^= G*a.
+
 See Also:
 o )show MonogenicLinearOperator
 
@@ -46350,13 +46303,6 @@ These exports come from \refto{Algebra}(R:CommutativeRing):
 ++ Author: Stephen M. Watt
 ++ Date Created: 1986
 ++ Date Last Updated: May 30, 1991
-++ Basic Operations:
-++ Related Domains:  NonCommutativeOperatorDivision
-++ Also See:
-++ AMS Classifications:
-++ Keywords:
-++ Examples:
-++ References:
 ++ Description:
 ++ This is the category of linear operator rings with one generator.
 ++ The generator is not named by the category but can always be
@@ -46562,6 +46508,10 @@ digraph pic {
 OctonionCategory examples
 ====================================================================
 
+OctonionCategory gives the categorial frame for the octonions, and
+eight-dimensional non-associative algebra, doubling the the quaternions 
+in the same way as doubling the Complex numbers to get the quaternions.
+
 See Also:
 o )show OctonionCategory
 
@@ -46749,12 +46699,6 @@ These exports come from \refto{CharacteristicNonZero}():
 ++ Author: R. Wisbauer, J. Grabmeier
 ++ Date Created: 05 September 1990
 ++ Date Last Updated: 19 September 1990
-++ Basic Operations: _+, _*, octon, real, imagi, imagj, imagk,
-++  imagE, imagI, imagJ, imagK
-++ Related Constructors: QuaternionCategory
-++ Also See: 
-++ AMS Classifications:
-++ Keywords: octonion, non-associative algebra, Cayley-Dixon  
 ++ References: e.g. I.L Kantor, A.S. Solodovnikov:
 ++  Hypercomplex Numbers, Springer Verlag Heidelberg, 1989,
 ++  ISBN 0-387-96980-2
@@ -47151,6 +47095,9 @@ digraph pic {
 QuaternionCategory examples
 ====================================================================
 
+QuaternionCategory describes the category of quaternions and implements 
+functions that are not representation specific.
+
 See Also:
 o )show QuaternionCategory
 
@@ -47367,15 +47314,7 @@ These exports come from \refto{CharacteristicNonZero}():
 )abbrev category QUATCAT QuaternionCategory
 ++ Author: Robert S. Sutor
 ++ Date Created: 23 May 1990
-++ Change History:
-++   10 September 1990
-++ Basic Operations: (Algebra)
-++   abs, conjugate, imagI, imagJ, imagK, norm, quatern, rational,
-++   rational?, real
-++ Related Constructors: Quaternion, QuaternionCategoryFunctions2
-++ Also See: DivisionRing
-++ AMS Classifications: 11R52
-++ Keywords: quaternions, division ring, algebra
+++ Change History:  10 September 1990
 ++ Description:
 ++ \spadtype{QuaternionCategory} describes the category of quaternions
 ++ and implements functions that are not representation specific.
@@ -47735,6 +47674,11 @@ The SquareMatrix domain is for square matrices of fixed dimension.
 SquareMatrixCategory examples
 ====================================================================
 
+SquareMatrixCategory is a general square matrix category which allows
+different representations and indexing schemes.  Rows and columns may
+be extracted with rows returned as objects of type Row and colums
+returned as objects of type Col.
+
 See Also:
 o )show SquareMatrixCategory
 
@@ -47991,13 +47935,6 @@ These exports come from \refto{FullyLinearlyExplicitRingOver}(R:Ring):
 ++ Authors: Grabmeier, Gschnitzer, Williamson
 ++ Date Created: 1987
 ++ Date Last Updated: July 1990
-++ Basic Operations:
-++ Related Domains: SquareMatrix(ndim,R)
-++ Also See:
-++ AMS Classifications:
-++ Keywords:
-++ Examples:
-++ References:
 ++ Description:
 ++ \spadtype{SquareMatrixCategory} is a general square matrix category which
 ++ allows different representations and indexing schemes.  Rows and
@@ -48317,6 +48254,10 @@ digraph pic {
 XPolynomialsCat examples
 ====================================================================
 
+The Category of polynomial rings with non-commutative variables.
+The coefficient ring may be non-commutative too. 
+However coefficients commute with variables.
+
 See Also:
 o )show XPolynomialsCat
 
@@ -48463,16 +48404,10 @@ These exports come from \refto{SetCategory}():
 ++ Date Created: 91
 ++ Date Last Updated: 7 Juillet 92
 ++ Fix History: compilation v 2.1 le 13 dec 98
-++ Basic Functions:
-++ Related Constructors:
-++ Also See:
-++ AMS Classifications:
-++ Keywords:
-++ References:
 ++ Description:
 ++ The Category of polynomial rings with non-commutative variables.
 ++ The coefficient ring may be non-commutative too. 
-++ However coefficients commute with vaiables.
+++ However coefficients commute with variables.
 
 XPolynomialsCat(vl:OrderedSet,R:Ring):Category == Export where
   WORD ==> OrderedFreeMonoid(vl)
@@ -48637,6 +48572,17 @@ digraph pic {
 AbelianMonoidRing examples
 ====================================================================
 
+Abelian monoid ring elements (not necessarily of finite support)
+of this ring are of the form formal SUM (r_i * e_i)
+where the r_i are coefficents and the e_i, elements of the
+ordered abelian monoid, are thought of as exponents or monomials.
+The monomials commute with each other, and with
+the coefficients (which themselves may or may not be commutative).
+
+See FiniteAbelianMonoidRing for the case of finite support
+a useful common model for polynomials and power series.
+Conceptually at least, only the non-zero terms are ever operated on.
+
 See Also:
 o )show AbelianMonoidRing
 
@@ -48787,15 +48733,6 @@ These exports come from \refto{Algebra}(Fraction(Integer)):
 
 \begin{chunk}{category AMR AbelianMonoidRing}
 )abbrev category AMR AbelianMonoidRing
-++ Author:
-++ Date Created:
-++ Date Last Updated:
-++ Basic Functions:
-++ Related Constructors:
-++ Also See:
-++ AMS Classifications:
-++ Keywords:
-++ References:
 ++ Description:
 ++ Abelian monoid ring elements (not necessarily of finite support)
 ++ of this ring are of the form formal SUM (r_i * e_i)
@@ -48986,6 +48923,9 @@ digraph pic {
 FortranMachineTypeCategory examples
 ====================================================================
 
+A category of domains which model machine arithmetic used by machines 
+in the AXIOM-NAG link.
+
 See Also:
 o )show FortranMachineTypeCategory
 
@@ -49106,14 +49046,6 @@ These exports come from \refto{RetractableTo}(Integer):
 )abbrev category FMTC FortranMachineTypeCategory
 ++ Author: Mike Dewar
 ++ Date Created:  December 1993
-++ Date Last Updated:
-++ Basic Operations:
-++ Related Domains:
-++ Also See: FortranExpression, MachineInteger, MachineFloat, MachineComplex
-++ AMS Classifications:
-++ Keywords:
-++ Examples:
-++ References:
 ++ Description:
 ++ A category of domains which model machine arithmetic
 ++ used by machines in the AXIOM-NAG link.
@@ -49300,6 +49232,10 @@ digraph pic {
 FramedNonAssociativeAlgebra examples
 ====================================================================
 
+FramedNonAssociativeAlgebra(R) is a FiniteRankNonAssociativeAlgebra 
+(i.e. a non associative algebra over R which is a free R-module of 
+finite rank) over a commutative ring R together with a fixed R-module basis.
+
 See Also:
 o )show FramedNonAssociativeAlgebra
 
@@ -49517,12 +49453,6 @@ where R:CommutativeRing:
 ++ Author: J. Grabmeier, R. Wisbauer
 ++ Date Created: 01 March 1991
 ++ Date Last Updated: 11 June 1991
-++ Basic Operations: +,-,*,**,basis
-++ Related Constructors: FiniteRankNonAssociativeAlgebra, FramedAlgebra,
-++   FiniteRankAssociativeAlgebra
-++ Also See:
-++ AMS Classifications:
-++ Keywords: nonassociative algebra, basis
 ++ Reference:
 ++  R.D. Schafer: An Introduction to Nonassociative Algebras
 ++  Academic Press, New York, 1966
@@ -49950,6 +49880,11 @@ digraph pic {
 GcdDomain examples
 ====================================================================
 
+This category describes domains where gcd can be computed but where 
+there is no guarantee of the existence of factor operation for factorisation 
+into irreducibles. However, if such a factor operation exist, factorization 
+will be unique up to order and units.
+
 See Also:
 o )show GcdDomain
 
@@ -50064,15 +49999,6 @@ These exports come from \refto{IntegralDomain}():
 
 \begin{chunk}{category GCDDOM GcdDomain}
 )abbrev category GCDDOM GcdDomain
-++ Author:
-++ Date Created:
-++ Date Last Updated:
-++ Basic Functions:
-++ Related Constructors:
-++ Also See:
-++ AMS Classifications:
-++ Keywords:
-++ References: Davenport & Trager 1
 ++ Description:
 ++ This category describes domains where
 ++ \spadfun{gcd} can be computed but where there is no guarantee
@@ -50234,6 +50160,9 @@ digraph pic {
 OrderedIntegralDomain examples
 ====================================================================
 
+The category of ordered commutative integral domains, where ordering
+and the arithmetic operations are compatible
+
 See Also:
 o )show OrderedIntegralDomain
 
@@ -50354,12 +50283,6 @@ These exports come from \refto{OrderedRing}():
 )abbrev category OINTDOM OrderedIntegralDomain
 ++ Author: JH Davenport (after L Gonzalez-Vega)
 ++ Date Created: 30.1.96
-++ Date Last Updated:
-++ Basic Functions:
-++ Related Constructors:
-++ Also See:
-++ AMS Classifications:
-++ Keywords:
 ++ Description:
 ++ The category of ordered commutative integral domains, where ordering
 ++ and the arithmetic operations are compatible
@@ -50507,6 +50430,10 @@ digraph pic {
 FiniteAbelianMonoidRing examples
 ====================================================================
 
+This category is similar to AbelianMonoidRing, except that the sum is 
+assumed to be finite. It is a useful model for polynomials, but is 
+somewhat more general.
+
 See Also:
 o )show FiniteAbelianMonoidRing
 
@@ -50678,15 +50605,7 @@ These exports come from \refto{FullyRetractableTo}(R:Ring):
 
 \begin{chunk}{category FAMR FiniteAbelianMonoidRing}
 )abbrev category FAMR FiniteAbelianMonoidRing
-++ Author:
-++ Date Created:
 ++ Date Last Updated: 14.08.2000 Exported pomopo! and binomThmExpt [MMM]
-++ Basic Functions:
-++ Related Constructors:
-++ Also See:
-++ AMS Classifications:
-++ Keywords:
-++ References:
 ++ Description: 
 ++ This category is similar to AbelianMonoidRing, except that the sum is 
 ++ assumed to be finite. It is a useful model for polynomials,
@@ -50963,6 +50882,9 @@ digraph pic {
 IntervalCategory examples
 ====================================================================
 
+This category implements of interval arithmetic and transcendental
+functions over intervals.
+
 See Also:
 o )show IntervalCategory
 
@@ -51191,13 +51113,6 @@ These exports come from \refto{RetractableTo}(Integer):
 )abbrev category INTCAT IntervalCategory
 ++ Author: Mike Dewar
 ++ Date Created: November 1996
-++ Date Last Updated:
-++ Basic Functions:
-++ Related Constructors: 
-++ Also See:
-++ AMS Classifications:
-++ Keywords:
-++ References:
 ++ Description:
 ++ This category implements of interval arithmetic and transcendental
 ++ functions over intervals.
@@ -51381,6 +51296,9 @@ digraph pic {
 PowerSeriesCategory examples
 ====================================================================
 
+PowerSeriesCategory is the most general power series category with 
+exponents in an ordered abelian monoid.
+
 See Also:
 o )show PowerSeriesCategory
 
@@ -51523,13 +51441,6 @@ where Coef:Ring and Expon:OrderedAbelianMonoid:
 ++ Author: Clifton J. Williamson
 ++ Date Created: 21 December 1989
 ++ Date Last Updated: 25 February 1990
-++ Basic Operations:
-++ Related Domains:
-++ Also See:
-++ AMS Classifications:
-++ Keywords: power series
-++ Examples:
-++ References:
 ++ Description:
 ++ \spadtype{PowerSeriesCategory} is the most general power series
 ++ category with exponents in an ordered abelian monoid.
@@ -51717,6 +51628,12 @@ digraph pic {
 PrincipalIdealDomain examples
 ====================================================================
 
+The category of constructive principal ideal domains, i.e. where a 
+single generator can be constructively found for any ideal given by 
+a finite set of generators.  Note that this constructive definition 
+only implies that finitely generated ideals are principal. It is not 
+clear what we would mean by an infinitely generated ideal.
+
 See Also:
 o )show PrincipalIdealDomain
 
@@ -51832,15 +51749,6 @@ These exports come from \refto{GcdDomain}():
 
 \begin{chunk}{category PID PrincipalIdealDomain}
 )abbrev category PID PrincipalIdealDomain
-++ Author:
-++ Date Created:
-++ Date Last Updated:
-++ Basic Functions:
-++ Related Constructors:
-++ Also See:
-++ AMS Classifications:
-++ Keywords:
-++ References:
 ++ Description:
 ++ The category of constructive principal ideal domains, i.e.
 ++ where a single generator can be constructively found for
@@ -51970,6 +51878,10 @@ digraph pic {
 UniqueFactorizationDomain examples
 ====================================================================
 
+A constructive unique factorization domain, i.e. where we can 
+constructively factor members into a product of a finite number 
+of irreducible elements.
+
 See Also:
 o )show UniqueFactorizationDomain
 
@@ -52095,15 +52007,6 @@ These exports come from \refto{GcdDomain}():
 
 \begin{chunk}{category UFD UniqueFactorizationDomain}
 )abbrev category UFD UniqueFactorizationDomain
-++ Author:
-++ Date Created:
-++ Date Last Updated:
-++ Basic Functions:
-++ Related Constructors:
-++ Also See:
-++ AMS Classifications:
-++ Keywords:
-++ References:
 ++ Description:
 ++ A constructive unique factorization domain, i.e. where
 ++ we can constructively factor members into a product of
@@ -52240,6 +52143,8 @@ digraph pic {
 DivisorCategory examples
 ====================================================================
 
+This category exports the function for domains.
+
 See Also:
 o )show DivisorCategory
 
@@ -52503,13 +52408,22 @@ digraph pic {
 EuclideanDomain examples
 ====================================================================
 
+A constructive euclidean domain, i.e. one can divide producing
+a quotient and a remainder where the remainder is either zero
+or is smaller (euclideanSize) than the divisor.
+
+Conditional attributes:
+   multiplicativeValuation - Size(a*b)=Size(a)*Size(b)
+   additiveValuation       - Size(a*b)=Size(a)+Size(b)
+
+Principal Ideal Domains are a subset of Euclidean Domains.
+Euclidean Domains are a subset of Fields.
+
 See Also:
 o )show EuclideanDomain
 
 \end{chunk}
-Principal Ideal Domains are a subset of Euclidean Domains.
 \pagefrom{PrincipalIdealDomain}{PID}.
-Euclidean Domains are a subset of Fields.
 \pageto{Field}{FIELD}
 
 {\bf See:}
@@ -52640,15 +52554,6 @@ These exports come from \refto{PrincipalIdealDomain}():
 
 \begin{chunk}{category EUCDOM EuclideanDomain}
 )abbrev category EUCDOM EuclideanDomain
-++ Author:
-++ Date Created:
-++ Date Last Updated:
-++ Basic Functions:
-++ Related Constructors:
-++ Also See:
-++ AMS Classifications:
-++ Keywords:
-++ References:
 ++ Description:
 ++ A constructive euclidean domain, i.e. one can divide producing
 ++ a quotient and a remainder where the remainder is either zero
@@ -52961,6 +52866,9 @@ digraph pic {
 MultivariateTaylorSeriesCategory examples
 ====================================================================
 
+MultivariateTaylorSeriesCategory is the most general multivariate 
+Taylor series category.
+
 See Also:
 o )show MultivariateTaylorSeriesCategory
 
@@ -53211,13 +53119,6 @@ These exports come from \refto{TranscendentalFunctionCategory}():
 ++ Author: Clifton J. Williamson
 ++ Date Created: 6 March 1990
 ++ Date Last Updated: 6 March 1990
-++ Basic Operations:
-++ Related Domains:
-++ Also See:
-++ AMS Classifications:
-++ Keywords: multivariate, Taylor, series
-++ Examples:
-++ References:
 ++ Description:
 ++ \spadtype{MultivariateTaylorSeriesCategory} is the most general
 ++ multivariate Taylor series category.
@@ -53377,6 +53278,12 @@ digraph pic {
 PolynomialFactorizationExplicit examples
 ====================================================================
 
+This is the category of domains that know "enough" about themselves 
+in order to factor univariate polynomials over themselves. This will 
+be used in future releases for supporting factorization over finitely 
+generated coefficient fields, it is not yet available in the current 
+release of Axiom.
+
 See Also:
 o )show PolynomialFactorizationExplicit
 
@@ -53520,14 +53427,6 @@ These exports come from \refto{UniqueFactorizationDomain}():
 \begin{chunk}{category PFECAT PolynomialFactorizationExplicit}
 )abbrev category PFECAT PolynomialFactorizationExplicit
 ++ Author: James Davenport
-++ Date Created:
-++ Date Last Updated:
-++ Basic Functions:
-++ Related Constructors:
-++ Also See:
-++ AMS Classifications:
-++ Keywords:
-++ References:
 ++ Description:
 ++ This is the category of domains that know "enough" about
 ++ themselves in order to factor univariate polynomials over themselves.
@@ -53741,6 +53640,12 @@ digraph pic {
 UnivariatePowerSeriesCategory examples
 ====================================================================
 
+UnivariatePowerSeriesCategory is the most general univariate power 
+series category with exponents in an ordered abelian monoid. Note that 
+this category exports a substitution function if it is possible to 
+multiply exponents. Also note that this category exports a derivative 
+operation if it is possible to multiply coefficients by exponents.
+
 See Also:
 o )show UnivariatePowerSeriesCategory
 
@@ -53956,13 +53861,6 @@ These exports come from \refto{PartialDifferentialRing}(Symbol):
 ++ Author: Clifton J. Williamson
 ++ Date Created: 21 December 1989
 ++ Date Last Updated: 20 September 1993
-++ Basic Operations:
-++ Related Domains:
-++ Also See:
-++ AMS Classifications:
-++ Keywords:
-++ Examples:
-++ References:
 ++ Description:
 ++ \spadtype{UnivariatePowerSeriesCategory} is the most general
 ++ univariate power series category with exponents in an ordered
@@ -54218,6 +54116,14 @@ digraph pic {
 Field examples
 ====================================================================
 
+The category of commutative fields, i.e. commutative rings where all 
+non-zero elements have multiplicative inverses. The factor operation 
+while trivial is useful to have defined.
+
+Axioms:
+         a*(b/a) = b
+         inv(a) = 1/a
+
 See Also:
 o )show Field
 
@@ -54391,15 +54297,6 @@ These exports come from \refto{DivisionRing}():
 
 \begin{chunk}{category FIELD Field}
 )abbrev category FIELD Field
-++ Author:
-++ Date Created:
-++ Date Last Updated:
-++ Basic Functions:
-++ Related Constructors:
-++ Also See:
-++ AMS Classifications:
-++ Keywords:
-++ References:
 ++ Description:
 ++ The category of commutative fields, i.e. commutative rings
 ++ where all non-zero elements have multiplicative inverses.
@@ -54571,6 +54468,8 @@ digraph pic {
 IntegerNumberSystem examples
 ====================================================================
 
+An IntegerNumberSystem is a model for the integers.
+
 See Also:
 o )show IntegerNumberSystem
 
@@ -54847,7 +54746,6 @@ These exports come from \refto{LinearlyExplicitRingOver}(Integer):
 )abbrev category INS IntegerNumberSystem
 ++ Author: Stephen M. Watt
 ++ Date Created: January 1988
-++ Change History:
 ++ Description:
 ++ An \spad{IntegerNumberSystem} is a model for the integers.
 
@@ -55626,6 +55524,8 @@ digraph pic {
 PAdicIntegerCategory examples
 ====================================================================
 
+This is the category of stream-based representations of the p-adic integers.
+
 See Also:
 o )show PAdicIntegerCategory
 
@@ -55775,13 +55675,6 @@ These exports come from \refto{EuclideanDomain}():
 ++ Author: Clifton J. Williamson
 ++ Date Created: 15 May 1990
 ++ Date Last Updated: 15 May 1990
-++ Basic Operations:
-++ Related Domains:
-++ Also See:
-++ AMS Classifications:
-++ Keywords: p-adic, completion
-++ Examples:
-++ References:
 ++ Description: 
 ++ This is the category of stream-based representations of
 ++ the p-adic integers.
@@ -56028,6 +55921,9 @@ digraph pic {
 PolynomialCategory examples
 ====================================================================
 
+The category for general multi-variate polynomials over a ring R, 
+in variables from VarSet, with exponents from the OrderedAbelianMonoidSup.
+
 See Also:
 o )show PolynomialCategory
 
@@ -56404,15 +56300,6 @@ These exports come from \refto{PolynomialFactorizationExplicit}():
 
 \begin{chunk}{category POLYCAT PolynomialCategory}
 )abbrev category POLYCAT PolynomialCategory
-++ Author:
-++ Date Created:
-++ Date Last Updated:
-++ Basic Functions: Ring, monomial, coefficient, differentiate, eval
-++ Related Constructors: Polynomial, DistributedMultivariatePolynomial
-++ Also See: UnivariatePolynomialCategory
-++ AMS Classifications:
-++ Keywords:
-++ References:
 ++ Description:
 ++ The category for general multi-variate polynomials over a ring
 ++ R, in variables from VarSet, with exponents from the
@@ -57078,6 +56965,9 @@ digraph pic {
 UnivariateTaylorSeriesCategory examples
 ====================================================================
 
+UnivariateTaylorSeriesCategory is the category of Taylor series 
+in one variable.
+
 See Also:
 o )show UnivariateTaylorSeriesCategory
 
@@ -57370,13 +57260,6 @@ These exports come from \refto{RadicalCategory}():
 ++ Author: Clifton J. Williamson
 ++ Date Created: 21 December 1989
 ++ Date Last Updated: 26 May 1994
-++ Basic Operations:
-++ Related Domains:
-++ Also See:
-++ AMS Classifications:
-++ Keywords: series, Taylor, linebacker
-++ Examples:
-++ References:
 ++ Description:
 ++ \spadtype{UnivariateTaylorSeriesCategory} is the category of Taylor
 ++ series in one variable.
@@ -57879,6 +57762,8 @@ zerosOf(sup,x)
 AlgebraicallyClosedField examples
 ====================================================================
 
+This category is a model for algebraically closed fields.
+
 Given the polynomial:
 
 pi:Polynomial(Integer):=-3*x^3+2*x+13
@@ -58139,7 +58024,6 @@ These exports come from \refto{RadicalCategory}():
 ++ Author: Manuel Bronstein
 ++ Date Created: 22 Mar 1988
 ++ Date Last Updated: 27 November 1991
-++ Keywords: algebraic, closure, field.
 ++ Description:
 ++ Model for algebraically closed fields.
 
@@ -58545,6 +58429,28 @@ digraph pic {
 DifferentialPolynomialCategory examples
 ====================================================================
 
+DifferentialPolynomialCategory is a category constructor specifying 
+basic functions in an ordinary differential polynomial ring with a 
+given ordered set of differential indeterminates. In addition, it 
+implements defaults for the basic functions. 
+
+The functions order and weight are extended from the set of 
+derivatives of differential indeterminates to the set of differential 
+polynomials.  Other operations provided on differential polynomials are
+leader, initial, separant, differentialVariables, and isobaric?.   
+Furthermore, if the ground ring is a differential ring, then evaluation 
+(substitution of differential indeterminates by elements of the ground ring
+or by differential polynomials) is provided by eval.
+
+A convenient way of referencing derivatives is provided by the functions 
+makeVariable.
+
+To construct a domain using this constructor, one needs to provide a 
+ground ring R, an ordered set S of differential indeterminates, a ranking 
+V on the set of derivatives of the differential indeterminates, and a set 
+E of exponents in bijection with the set of differential monomials
+in the given differential indeterminates.
+
 See Also:
 o )show DifferentialPolynomialCategory
 
@@ -58941,12 +58847,6 @@ These exports come from \refto{Evalable}(%:DPOLCAT):
 ++ Author:  William Sit
 ++ Date Created: 19 July 1990
 ++ Date Last Updated: 13 September 1991
-++ Basic Operations:PolynomialCategory
-++ Related Constructors:DifferentialVariableCategory
-++ See Also:
-++ AMS Classifications:12H05
-++ Keywords: differential indeterminates, ranking, differential polynomials,
-++           order, weight, leader, separant, initial, isobaric
 ++ References:Kolchin, E.R. "Differential Algebra and Algebraic Groups"
 ++   (Academic Press, 1973).
 ++ Description:
@@ -59330,6 +59230,11 @@ digraph pic {
 FieldOfPrimeCharacteristic examples
 ====================================================================
 
+FieldOfPrimeCharacteristic is the category of fields of prime
+characteristic, e.g. finite fields, algebraic closures of
+fields of prime characteristic, transcendental extensions of
+of fields of prime characteristic.
+
 See Also:
 o )show FieldOfPrimeCharacteristic
 
@@ -59500,11 +59405,6 @@ These exports come from \refto{CharacteristicNonZero}():
 ++ Author: J. Grabmeier, A. Scheerhorn
 ++ Date Created: 10 March 1991
 ++ Date Last Updated: 31 March 1991
-++ Basic Operations: _+, _*
-++ Related Constructors:
-++ Also See:
-++ AMS Classifications:
-++ Keywords: field, finite field, prime characteristic
 ++ References:
 ++  J. Grabmeier, A. Scheerhorn: Finite Fields in AXIOM.
 ++  AXIOM Technical Report Series, ATR/5 NP2522.
@@ -59634,6 +59534,9 @@ digraph pic {
 FiniteRankAlgebra examples
 ====================================================================
 
+A FiniteRankAlgebra is an algebra over a commutative ring R which
+is a free R-module of finite rank.
+
 See Also:
 o )show FiniteRankAlgebra
 
@@ -59760,14 +59663,6 @@ These exports come from \refto{CharacteristicZero}():
 \begin{chunk}{category FINRALG FiniteRankAlgebra}
 )abbrev category FINRALG FiniteRankAlgebra
 ++ Author: Barry Trager
-++ Date Created:
-++ Date Last Updated:
-++ Basic Functions:
-++ Related Constructors:
-++ Also See:
-++ AMS Classifications:
-++ Keywords:
-++ References:
 ++ Description:
 ++ A FiniteRankAlgebra is an algebra over a commutative ring R which
 ++ is a free R-module of finite rank.
@@ -60091,6 +59986,9 @@ digraph pic {
 FunctionSpace examples
 ====================================================================
 
+This is the category for formal functions.
+A space of formal functions with arguments in an arbitrary ordered set.
+
 See Also:
 o )show FunctionSpace
 
@@ -60566,12 +60464,11 @@ These exports come from \refto{RetractableTo}(Fraction(Integer)):
 
 \begin{chunk}{category FS FunctionSpace}
 )abbrev category FS FunctionSpace
-++ Category for formal functions
 ++ Author: Manuel Bronstein
 ++ Date Created: 22 March 1988
 ++ Date Last Updated: 14 February 1994
-++ Keywords: operator, kernel, function.
 ++ Description:
+++ Category for formal functions
 ++ A space of formal functions with arguments in an arbitrary ordered set.
 
 FunctionSpace(R:OrderedSet): Category == Definition where
@@ -61422,6 +61319,8 @@ digraph pic {
 InfinitlyClosePointCategory examples
 ====================================================================
 
+This category is part of the PAFF package
+
 See Also:
 o )show InfinitlyClosePointCategory
 
@@ -61689,6 +61588,27 @@ digraph pic {
 PseudoAlgebraicClosureOfPerfectFieldCategory examples
 ====================================================================
 
+This category exports the function for domains which implement dynamic 
+extension using the simple notion of tower extensions. A tower extension 
+T of the ground field K is any sequence of field extensions
+    (T : K_0, K_1, ..., K_i...,K_n) where K_0 = K 
+and for 
+    i =1,2,...,n, K_i is an extension of K_{i-1} of degree > 1 
+and defined by an irreducible polynomial p(Z) in K_{i-1}.
+
+Two towers 
+    (T_1: K_01, K_11,...,K_i1,...,K_n1)  
+and 
+    (T_2: K_02, K_12,...,K_i2,...,K_n2)
+are said to be related if 
+    T_1 <= T_2 (or T_1 >= T_2), 
+that is if 
+    K_i1 = K_i2 for i=1,2,...,n1 (or i=1,2,...,n2). 
+
+Any algebraic operations defined for several elements are only defined 
+if all of the concerned elements are coming from a set of related tower 
+extensions. 
+
 See Also:
 o )show PseudoAlgebraicClosureOfPerfectFieldCategory
 
@@ -61880,7 +61800,8 @@ These exports come from \refto{DivisionRing}():
 ++ Authors: Gaetan Hache
 ++ Date Created: may 1997 
 ++ Date Last Updated: April 2010, by Tim Daly
-++ Description: This category exports the function for domains 
+++ Description: 
+++ This category exports the function for domains 
 ++ which implement dynamic extension using the simple notion of tower 
 ++ extensions. ++ A tower extension T  of the ground
 ++ field K is any sequence of field extension 
@@ -61892,8 +61813,8 @@ These exports come from \refto{DivisionRing}():
 ++ are said to be related if T_1 <= T_2 (or T_1 >= T_2), 
 ++ that is if K_i1 = K_i2 for i=1,2,...,n1 (or i=1,2,...,n2). 
 ++ Any algebraic operations defined for several elements 
-++ are only defined if all of the concerned elements are comming from 
-++ a set of related tour extensions. 
+++ are only defined if all of the concerned elements are coming from 
+++ a set of related tower extensions. 
 PseudoAlgebraicClosureOfPerfectFieldCategory() : Category == PUB where
 
  INT      ==> Integer
@@ -62099,6 +62020,8 @@ digraph pic {
 QuotientFieldCategory examples
 ====================================================================
 
+QuotientField(S) is the category of fractions of an Integral Domain S.
+
 See Also:
 o )show QuotientFieldCategory
 
@@ -62454,15 +62377,7 @@ These exports come from \refto{PolynomialFactorizationExplicit}():
 
 \begin{chunk}{category QFCAT QuotientFieldCategory}
 )abbrev category QFCAT QuotientFieldCategory
-++ Author:
-++ Date Created:
 ++ Date Last Updated: 5th March 1996 
-++ Basic Functions: + - * / numer denom
-++ Related Constructors:
-++ Also See:
-++ AMS Classifications:
-++ Keywords:
-++ References:
 ++ Description:
 ++ QuotientField(S) is the category of fractions of an Integral Domain S.
 
@@ -62769,6 +62684,9 @@ digraph pic {
 RealClosedField examples
 ====================================================================
 
+RealClosedField provides common access functions for all real closed fields.
+It provides computations with generic real roots of polynomials.
+
 See Also:
 o )show RealClosedField
 
@@ -63020,16 +62938,10 @@ These exports come from \refto{Algebra}(Integer):
 ++ Author: Renaud Rioboo
 ++ Date Created: may 1993
 ++ Date Last Updated: January 2004
-++ Basic Functions: provides computations with generic real roots of 
-++                  polynomials 
-++ Related Constructors: SimpleOrderedAlgebraicExtension, RealClosure
-++ Also See: 
-++ AMS Classifications:
-++ Keywords: Real Algebraic Numbers
-++ References: 
 ++ Description:
-++ \axiomType{RealClosedField} provides common acces
+++ \axiomType{RealClosedField} provides common access
 ++ functions for all real closed fields.
+++ provides computations with generic real roots of polynomials 
 
 RealClosedField : Category == PUB where
 
@@ -63308,8 +63220,14 @@ digraph pic {
 RealNumberSystem examples
 ====================================================================
 
+The real number system category is intended as a model for the real
+numbers.  The real numbers form an ordered normed field.  Note that
+we have purposely not included DifferentialRing or the elementary 
+functions (see TranscendentalFunctionCategory) in the definition.
+
 See Also:
 o )show RealNumberSystem
+o )show TranscendentalFunctionCategory
 
 \end{chunk}
 {\bf See:}
@@ -63532,11 +63450,7 @@ These exports come from \refto{CharacteristicZero}():
 \begin{chunk}{category RNS RealNumberSystem}
 )abbrev category RNS RealNumberSystem
 ++ Author: Michael Monagan and Stephen M. Watt
-++ Date Created:
-++   January 1988
-++ Change History:
-++ Related Constructors:
-++ Keywords: real numbers
+++ Date Created: January 1988
 ++ Description:  
 ++ The real number system category is intended as a model for the real
 ++ numbers.  The real numbers form an ordered normed field.  Note that
@@ -63861,6 +63775,15 @@ digraph pic {
 RecursivePolynomialCategory examples
 ====================================================================
 
+A category for general multi-variate polynomials with coefficients 
+in a ring, variables in an ordered set, and exponents from an 
+ordered abelian monoid, with a sup operation.
+
+When not constant, such a polynomial is viewed as a univariate polynomial 
+in its main variable w. r. t. to the total ordering on the elements in 
+the ordered set, so that some operations usually defined for univariate 
+polynomials make sense here.
+
 See Also:
 o )show RecursivePolynomialCategory
 
@@ -64355,19 +64278,7 @@ where R:Ring, E:OrderedAbelianMonoidSup, V:OrderedSet:
 ++ Author: Marc Moreno Maza
 ++ Date Created: 04/22/1994
 ++ Date Last Updated: 14/12/1998
-++ Related Constructors:
-++ Also See: 
-++ AMS Classifications:
-++ Keywords: polynomial, multivariate, ordered variables set
-++ References:
 ++ Description:
-++ A category for general multi-variate polynomials with coefficients 
-++ in a ring, variables in an ordered set, and exponents from an 
-++ ordered abelian monoid, with a \axiomOp{sup} operation.
-++ When not constant, such a polynomial is viewed as a univariate polynomial 
-++ in its main variable w. r. t. to the total ordering on the elements in 
-++ the ordered set, so that some operations usually defined for univariate 
-++ polynomials make sense here.
 
 RecursivePolynomialCategory(R:Ring, E:OrderedAbelianMonoidSup, V:OrderedSet):_
  Category == 
@@ -65790,6 +65701,9 @@ digraph pic {
 UnivariateLaurentSeriesCategory examples
 ====================================================================
 
+UnivariateLaurentSeriesCategory is the category of Laurent series 
+in one variable.
+
 See Also:
 o )show UnivariateLaurentSeriesCategory
 
@@ -66142,13 +66056,6 @@ These exports come from \refto{Field}():
 ++ Author: Clifton J. Williamson
 ++ Date Created: 21 December 1989
 ++ Date Last Updated: 20 September 1993
-++ Basic Operations:
-++ Related Domains:
-++ Also See:
-++ AMS Classifications:
-++ Keywords: series, Laurent
-++ Examples:
-++ References:
 ++ Description:
 ++ \spadtype{UnivariateLaurentSeriesCategory} is the category of
 ++ Laurent series in one variable.
@@ -66423,6 +66330,9 @@ digraph pic {
 UnivariatePuiseuxSeriesCategory examples
 ====================================================================
 
+UnivariatePuiseuxSeriesCategory is the category of Puiseux series 
+in one variable.
+
 See Also:
 o )show UnivariatePuiseuxSeriesCategory
 
@@ -66768,13 +66678,6 @@ These exports come from \refto{RadicalCategory}():
 ++ Author: Clifton J. Williamson
 ++ Date Created: 21 December 1989
 ++ Date Last Updated: 20 September 1993
-++ Basic Operations:
-++ Related Domains:
-++ Also See:
-++ AMS Classifications:
-++ Keywords: series, Puiseux
-++ Examples:
-++ References:
 ++ Description:
 ++ \spadtype{UnivariatePuiseuxSeriesCategory} is the category of Puiseux
 ++ series in one variable.
@@ -67091,6 +66994,9 @@ digraph pic {
 UnivariatePolynomialCategory examples
 ====================================================================
 
+The category of univariate polynomials over a ring R. No particular 
+model is assumed - implementations can be either sparse or dense.
+
 See Also:
 o )show UnivariatePolynomialCategory
 
@@ -67601,16 +67507,6 @@ These exports come from \refto{PolynomialFactorizationExplicit}()
 
 \begin{chunk}{category UPOLYC UnivariatePolynomialCategory}
 )abbrev category UPOLYC UnivariatePolynomialCategory
-++ Author:
-++ Date Created:
-++ Date Last Updated:
-++ Basic Functions: Ring, monomial, coefficient, reductum, differentiate,
-++ elt, map, resultant, discriminant
-++ Related Constructors:
-++ Also See:
-++ AMS Classifications:
-++ Keywords:
-++ References:
 ++ Description:
 ++ The category of univariate polynomials over a ring R.
 ++ No particular model is assumed - implementations can be either
@@ -68273,6 +68169,8 @@ digraph pic {
 AlgebraicallyClosedFunctionSpace examples
 ====================================================================
 
+Model for algebraically closed function spaces.
+
 See Also:
 o )show AlgebraicallyClosedFunctionSpace
 
@@ -68683,7 +68581,6 @@ where R:Join(OrderedSet, IntegralDomain)):
 ++ Author: Manuel Bronstein
 ++ Date Created: 31 October 1988
 ++ Date Last Updated: 7 October 1991
-++ Keywords: algebraic, closure, field.
 ++ Description:
 ++ Model for algebraically closed function spaces.
 
@@ -68935,6 +68832,8 @@ digraph pic {
 ExtensionField examples
 ====================================================================
 
+ExtensionField F is the category of fields which extend the field F
+
 See Also:
 o )show ExtensionField
 
@@ -69147,11 +69046,6 @@ These exports come from \refto{FieldOfPrimeCharacteristic}():
 ++ Author: J. Grabmeier, A. Scheerhorn
 ++ Date Created: 10 March 1991
 ++ Date Last Updated: 31 March 1991
-++ Basic Operations: _+, _*, extensionDegree, algebraic?, transcendent?
-++ Related Constructors:
-++ Also See:
-++ AMS Classifications:
-++ Keywords: field, extension field
 ++ References:
 ++  J. Grabmeier, A. Scheerhorn: Finite Fields in AXIOM.
 ++  AXIOM Technical Report Series, ATR/5 NP2522.
@@ -69348,6 +69242,8 @@ digraph pic {
 FiniteFieldCategory examples
 ====================================================================
 
+FiniteFieldCategory is the category of finite fields
+
 See Also:
 o )show FiniteFieldCategory
 
@@ -69564,12 +69460,6 @@ These exports come from \refto{DifferentialRing}():
 ++ Author: J. Grabmeier, A. Scheerhorn
 ++ Date Created: 11 March 1991
 ++ Date Last Updated: 31 March 1991
-++ Basic Operations: _+, _*, extensionDegree, order, primitiveElement
-++ Related Constructors:
-++ Also See:
-++ AMS Classifications:
-++ Keywords: field, extension field, algebraic extension, finite field
-++  Galois field
 ++ References:
 ++  D.Lipson, Elements of Algebra and Algebraic Computing, The
 ++  Benjamin/Cummings Publishing Company, Inc.-Menlo Park, California, 1981.
@@ -69947,6 +69837,25 @@ digraph pic {
 FloatingPointSystem examples
 ====================================================================
 
+This category is intended as a model for floating point systems.
+A floating point system is a model for the real numbers.  In fact,
+it is an approximation in the sense that not all real numbers are
+exactly representable by floating point numbers.
+
+A floating point system is characterized by the following:
+
+  1: base of the exponent where the actual implemenations are 
+     usually binary or decimal)
+  2: precision of the mantissa (arbitrary or fixed)
+  3: rounding error for operations
+  4:  when, and what happens if exponent overflow/underflow occurs
+
+Because a Float is an approximation to the real numbers, even though
+it is defined to be a join of a Field and OrderedRing, some of
+the attributes do not hold.  In particular associative("+")
+does not hold.  Algorithms defined over a field need special
+considerations when the field is a floating point system.
+
 See Also:
 o )show FloatingPointSystem
 
@@ -70192,13 +70101,6 @@ These exports come from \refto{RealNumberSystem}():
 
 \begin{chunk}{category FPS FloatingPointSystem}
 )abbrev category FPS FloatingPointSystem
-++ Author:
-++ Date Created:
-++ Change History:
-++ Basic Operations: approximate, base, bits, digits, exponent, float,
-++    mantissa, order, precision, round?
-++ Related Constructors:
-++ Keywords: float, floating point
 ++ Description:  
 ++ This category is intended as a model for floating point systems.
 ++ A floating point system is a model for the real numbers.  In fact,
@@ -70392,6 +70294,8 @@ digraph pic {
 FramedAlgebra examples
 ====================================================================
 
+A FramedAlgebra is a FiniteRankAlgebra together with a fixed R-module basis.
+
 See Also:
 o )show FramedAlgebra
 
@@ -70515,14 +70419,6 @@ where R:CommutativeRing and UP:UnivariatePolynomialCategory R):
 \begin{chunk}{category FRAMALG FramedAlgebra}
 )abbrev category FRAMALG FramedAlgebra
 ++ Author: Barry Trager
-++ Date Created:
-++ Date Last Updated:
-++ Basic Functions:
-++ Related Constructors:
-++ Also See:
-++ AMS Classifications:
-++ Keywords:
-++ References:
 ++ Description:
 ++ A \spadtype{FramedAlgebra} is a \spadtype{FiniteRankAlgebra} together
 ++ with a fixed R-module basis.
@@ -70757,6 +70653,28 @@ digraph pic {
 PseudoAlgebraicClosureOfFiniteFieldCategory examples
 ====================================================================
 
+This category exports the function for the domain 
+PseudoAlgebraicClosureOfFiniteField which implement dynamic extension 
+using the simple notion of tower extensions.
+
+A tower extension T  of the ground field K is any sequence of field extension
+    (T : K_0, K_1, ..., K_i...,K_n) 
+where K_0 = K and for i =1,2,...,n, K_i is an extension
+of K_{i-1} of degree > 1 and defined by an irreducible polynomial 
+p(Z) in K_{i-1}.
+
+Two towers 
+   (T_1: K_01, K_11,...,K_i1,...,K_n1)  
+and 
+   (T_2: K_02, K_12,...,K_i2,...,K_n2)
+are said to be related if 
+   T_1 <= T_2 (or T_1 >= T_2), 
+that is if 
+   K_i1 = K_i2 for i=1,2,...,n1 
+(or i=1,2,...,n2). Any algebraic operations defined for several elements 
+are only defined if all of the concerned elements are comming from 
+a set of related tour extensions. 
+
 See Also:
 o )show PseudoAlgebraicClosureOfFiniteFieldCategory
 
@@ -70980,9 +70898,8 @@ These exports come from \refto{FiniteFieldCategory}():
 -- PseudoAlgebraicClosureOfFiniteFieldCategory
 ++ Authors: Gaetan Hache
 ++ Date Created: june 1996 
-++ Date Last Updated: 
-++ References:
-++ Description: This category exports the function for the domain 
+++ Description: 
+++ This category exports the function for the domain 
 ++ PseudoAlgebraicClosureOfFiniteField which implement dynamic extension 
 ++ using the simple notion of tower extensions.
 ++ A tower extension T  of the ground
@@ -71245,6 +71162,11 @@ digraph pic {
 UnivariateLaurentSeriesConstructorCategory examples
 ====================================================================
 
+This is a category of univariate Laurent series constructed from
+univariate Taylor series.  A Laurent series is represented by a pair
+[n,f(x)], where n is an arbitrary integer and f(x) is a Taylor series.  
+This pair represents the Laurent series x**n * f(x).
+
 See Also:
 o )show UnivariateLaurentSeriesConstructorCategory
 
@@ -71767,13 +71689,6 @@ where UTS:UnivariateLaurentSeriesCategory(Coef:Ring)
 ++ Author: Clifton J. Williamson
 ++ Date Created: 6 February 1990
 ++ Date Last Updated: 10 May 1990
-++ Basic Operations:
-++ Related Domains:
-++ Also See:
-++ AMS Classifications:
-++ Keywords: series, Laurent, Taylor
-++ Examples:
-++ References:
 ++ Description:
 ++ This is a category of univariate Laurent series constructed from
 ++ univariate Taylor series.  A Laurent series is represented by a pair
@@ -72056,6 +71971,11 @@ digraph pic {
 UnivariatePuiseuxSeriesConstructorCategory examples
 ====================================================================
 
+This is a category of univariate Puiseux series constructed from 
+univariate Laurent series.  A Puiseux series is represented by a pair 
+[r,f(x)], where r is a positive rational number and f(x) is a Laurent 
+series.  This pair represents the Puiseux series f(x^r).
+
 See Also:
 o )show UnivariatePuiseuxSeriesConstructorCategory
 
@@ -72400,13 +72320,6 @@ These exports come from \refto{UnivariatePuiseuxSeriesCategory}(Coef:Ring):
 ++ Author: Clifton J. Williamson
 ++ Date Created: 6 February 1990
 ++ Date Last Updated: 22 March 1990
-++ Basic Operations:
-++ Related Domains:
-++ Also See:
-++ AMS Classifications:
-++ Keywords: series, Puiseux, Laurent
-++ Examples:
-++ References:
 ++ Description:
 ++ This is a category of univariate Puiseux series constructed
 ++ from univariate Laurent series.  A Puiseux series is represented
@@ -72643,6 +72556,31 @@ digraph pic {
 FiniteAlgebraicExtensionField examples
 ====================================================================
 
+FiniteAlgebraicExtensionField F is the category of fields
+which are finite algebraic extensions of the field F.
+
+If F is finite then any finite algebraic extension of F is finite, too. 
+Let K be a finite algebraic extension of the finite field F. The 
+exponentiation of elements of K defines a Z-module structure on the 
+multiplicative group of K. 
+
+The additive group of K becomes a module over the ring of polynomials 
+over F via the operation 
+    linearAssociatedExp(a:K,f:SparseUnivariatePolynomial F)
+which is linear over F, i.e. for elements a from K, c,d from F and 
+f,g univariate polynomials over F we have linearAssociatedExp}(a,cf+dg) 
+equals c times linearAssociatedExp}(a,f) plus d times 
+linearAssociatedExp}(a,g).
+
+Therefore linearAssociatedExp is defined completely by its action on  
+monomials from F[X]: linearAssociatedExp(a,monomial(1,k)\$SUP(F)) is 
+defined to be Frobenius(a,k) which is a**(q**k) where q=size()\$F.
+
+The operations order and discreteLog associated with the multiplicative
+exponentiation have additive analogues associated to the operation
+linearAssociatedExp. These are the functions linearAssociatedOrder 
+and linearAssociatedLog, respectively.
+
 See Also:
 o )show FiniteAlgebraicExtensionField
 
@@ -72934,11 +72872,6 @@ These exports come from \refto{FiniteFieldCategory}():
 ++ Author: J. Grabmeier, A. Scheerhorn
 ++ Date Created: 11 March 1991
 ++ Date Last Updated: 31 March 1991
-++ Basic Operations: _+, _*, extensionDegree,
-++ Related Constructors:
-++ Also See:
-++ AMS Classifications:
-++ Keywords: field, extension field, algebraic extension, finite extension
 ++ References:
 ++  R.Lidl, H.Niederreiter: Finite Field, Encycoldia of Mathematics and
 ++  Its Applications, Vol. 20, Cambridge Univ. Press, 1983, 
@@ -73437,6 +73370,9 @@ digraph pic {
 MonogenicAlgebra examples
 ====================================================================
 
+A MonogenicAlgebra is an algebra of finite rank which can be 
+generated by a single element.
+
 See Also:
 o )show MonogenicAlgebra
 
@@ -73786,14 +73722,6 @@ These exports come from \refto{FiniteFieldCategory}():
 \begin{chunk}{category MONOGEN MonogenicAlgebra}
 )abbrev category MONOGEN MonogenicAlgebra
 ++ Author: Barry Trager
-++ Date Created:
-++ Date Last Updated:
-++ Basic Functions:
-++ Related Constructors:
-++ Also See:
-++ AMS Classifications:
-++ Keywords:
-++ References:
 ++ Description:
 ++ A \spadtype{MonogenicAlgebra} is an algebra of finite rank which
 ++ can be generated by a single element.
@@ -74033,6 +73961,27 @@ digraph pic {
 PseudoAlgebraicClosureOfRationalNumberCategory examples
 ====================================================================
 
+This category exports the function for the domain 
+PseudoAlgebraicClosureOfRationalNumber which implement dynamic extension 
+using the simple notion of tower extensions. A tower extension T of the 
+ground field K is any sequence of field extension
+    (T : K_0, K_1, ..., K_i...,K_n) 
+where K_0 = K and for i =1,2,...,n, K_i is an extension
+of K_{i-1} of degree > 1 and defined by an irreducible polynomial 
+p(Z) in K_{i-1}.
+
+Two towers
+    (T_1: K_01, K_11,...,K_i1,...,K_n1)  
+and
+    (T_2: K_02, K_12,...,K_i2,...,K_n2)
+are said to be related if 
+    T_1 <= T_2 (or T_1 >= T_2), 
+that is if 
+    K_i1 = K_i2 for i=1,2,...,n1 
+(or i=1,2,...,n2). Any algebraic operations defined for several elements 
+are only defined if all of the concerned elements are comming from 
+a set of related tour extensions. 
+
 See Also:
 o )show PseudoAlgebraicClosureOfRationalNumberCategory
 
@@ -74264,8 +74213,8 @@ These exports come from \refto{ExtensionField}(Fraction(Integer)):
 )abbrev category  PACRATC PseudoAlgebraicClosureOfRationalNumberCategory
 ++ Authors: Gaetan Hache
 ++ Date Created: feb 1997 
-++ Date Last Updated: 
-++ Description: This category exports the function for the domain 
+++ Description: 
+++ This category exports the function for the domain 
 ++ PseudoAlgebraicClosureOfRationalNumber
 ++ which implement dynamic extension using the simple notion of tower 
 ++ extensions. A tower extension T  of the ground
@@ -74524,6 +74473,8 @@ digraph pic {
 ComplexCategory examples
 ====================================================================
 
+This category represents the extension of a ring by a square root of -1.
+
 See Also:
 o )show ComplexCategory
 
@@ -74960,15 +74911,7 @@ These exports come from \refto{PolynomialFactorizationExplicit}():
 
 \begin{chunk}{category COMPCAT ComplexCategory}
 )abbrev category COMPCAT ComplexCategory
-++ Author:
-++ Date Created:
 ++ Date Last Updated: 18 March 1994
-++ Basic Functions:
-++ Related Constructors:
-++ Also See:
-++ AMS Classifications:
-++ Keywords: complex, gaussian
-++ References:
 ++ Description:
 ++ This category represents the extension of a ring by a square root of -1.
 
@@ -75642,6 +75585,8 @@ digraph pic {
 FunctionFieldCategory examples
 ====================================================================
 
+This category is a model for the function field of a plane algebraic curve.
+
 See Also:
 o )show FunctionFieldCategory
 
@@ -76162,12 +76107,11 @@ UPUP:UnivariatePolynomialCategory Fraction UP
 
 \begin{chunk}{category FFCAT FunctionFieldCategory}
 )abbrev category FFCAT FunctionFieldCategory
-++ Function field of a curve
 ++ Author: Manuel Bronstein
 ++ Date Created: 1987
 ++ Date Last Updated: 19 Mai 1993
-++ Keywords: algebraic, curve, function, field.
 ++ Description:
+++ Function field of a curve
 ++ This category is a model for the function field of a
 ++ plane algebraic curve.
 
@@ -76736,6 +76680,27 @@ digraph pic {
 PseudoAlgebraicClosureOfAlgExtOfRationalNumberCategory examples
 ====================================================================
 
+This category exports the function for the domain 
+PseudoAlgebraicClosureOfAlgExtOfRationalNumber which implement dynamic 
+extension using the simple notion of tower extensions. A tower extension 
+T of the ground field K is any sequence of field extension 
+   (T : K_0, K_1, ..., K_i...,K_n) 
+where K_0 = K and for i =1,2,...,n, 
+      K_i is an extension of K_{i-1} of degree > 1 
+and defined by an  irreducible polynomial p(Z) in K_{i-1}.
+
+Two towers
+    (T_1: K_01, K_11,...,K_i1,...,K_n1) 
+and
+    (T_2: K_02, K_12,...,K_i2,...,K_n2)
+are said to be related if 
+    T_1 <= T_2 (or T_1 >= T_2), 
+that is if 
+    K_i1 = K_i2 for i=1,2,...,n1 (or i=1,2,...,n2). 
+Any algebraic operations defined for several elements 
+are only defined if all of the concerned elements are comming from 
+a set of related tour extensions. 
+
 See Also:
 o )show PseudoAlgebraicClosureOfAlgExtOfRationalNumberCategory
 
@@ -92092,33 +92057,6 @@ digraph dotfull {
 \end{chunk}
 \eject
 \begin{thebibliography}{99}
-\bibitem{1} N. Jacobson: Structure and Representations of Jordan Algebras
-AMS, Providence, 1968
-\bibitem{2} MacLane and Birkhoff, Algebra 2d Edition, MacMillan 1979
-\bibitem{3} Encyclopedic Dictionary of Mathematics, MIT Press, 1977
-\bibitem{4} R.D. Schafer: An Introduction to Nonassociative Algebras
-Academic Press, New York, 1966
-\bibitem{5} R. Wisbauer: Bimodule Structure of Algebra
-Lecture Notes Univ. Duesseldorf 1991
-\bibitem{6} J. Grabmeier, A. Scheerhorn: Finite Fields in AXIOM.
-AXIOM Technical Report Series, ATR/5 NP2522.
-\bibitem{7} R. Rioboo,
-{\sl Real Algebraic Closure of an ordered Field : Implementation in Axiom.},
-In proceedings of the ISSAC'92 Conference, Berkeley 1992 pp. 206-215.
-\bibitem{8} Z. Ligatsikas, R. Rioboo, M. F. Roy 
-{\sl Generic computation of the real closure of an ordered field.},
-In Mathematics and Computers in Simulation Volume 42, Issue 4-6,
-November 1996.
-\bibitem{9} D. LAZARD ``A new method for solving algebraic systems of 
-positive dimension'' Discr. App. Math. 33:147-160,1991
-\bibitem{10} P. AUBRY, D. LAZARD and M. MORENO MAZA ``On the Theories
-of Triangular Sets'' Journal of Symbol. Comp. (to appear)
-\bibitem{11} M. MORENO MAZA and R. RIOBOO ``Computations of gcd over
-algebraic towers of simple extensions'' In proceedings of AAECC11
-Paris, 1995.
-\bibitem{12} M. MORENO MAZA ``Calculs de pgcd au-dessus des tours
-d'extensions simples et resolution des systemes d'equations
-algebriques'' These, Universite P.etM. Curie, Paris, 1997.
 \end{thebibliography}
 \printindex
 \end{document}
diff --git a/changelog b/changelog
index b8bfaaa..328dc18 100644
--- a/changelog
+++ b/changelog
@@ -1,3 +1,5 @@
+20130228 tpd src/axiom-website/patches.html 20130228.02.tpd.patch
+20130228 tpd books/bookvol10.2 write help documentation for all categories
 20130228 tpd src/axiom-website/patches.html 20130228.01.tpd.patch
 20130228 tpd books/bookvolbib add references
 20130227 tpd src/axiom-website/patches.html 20130227.02.tpd.patch
diff --git a/src/axiom-website/patches.html b/src/axiom-website/patches.html
index 96222a4..e3fb43b 100644
--- a/src/axiom-website/patches.html
+++ b/src/axiom-website/patches.html
@@ -3997,5 +3997,7 @@ books/bookvol10.3 add U8Matrix
 books/bookvol10.4 add U32VectorPolynomialOperations
 <a href="patches/20130228.01.tpd.patch">20130228.01.tpd.patch</a>
 books/bookvolbib add references
+<a href="patches/20130228.02.tpd.patch">20130228.02.tpd.patch</a>
+books/bookvol10.2 write help documentation for all categories
  </body>
 </html>
